Rulbus LabVIEW Library for Microsoft Windows: Main Page

Rulbus LabVIEW Library for Microsoft Windows Documentation

0.2.0 (stable)

The Rulbus LabVIEW Library is a LabVIEW 6.0 library for Windows 95/98/NT/2000/XP (rulbus.llb) It contains Virtual Instruments (VIs) to use the most popular Rulbus modules and it supports the ISA Rulbus Interface as well as the EPP Rulbus Interface. The Rulbus LabVIEW Library uses the Rulbus Device Library, a Microsoft Windows dynamic-link library.

This manual contains the following sections:

  • User Manual
  • Reference Manual
  • Developer Manual

The User Manual tells you more about Rulbus and Rulbus Interfaces and it describes how to use this library.

The Reference Manual describes the VIs available for the various Rulbus modules supported. To discover how to use a certain Rulbus module, look up its documentation page by Rulbus number in the Contents pane at the left, for example Modules | Reference Manual | RB8510 DAC12 Contents for the dual 12-bit DAC and read the documentation for the VIs available.

To learn about the implementation of the Rulbus LabVIEW Library, explore the Developer Manual. It describes how to implement VIs for the Rulbus modules.

RLL License

Copyright © 2003-2004, by Leiden University.

RLL is written by Martin J. Moene <m.j.moene@eld.physics.LeidenUniv.nl>

Permission to use, copy, modify, and distribute this software and its documentation under the terms of the GNU General Public License is hereby granted. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. See the GNU General Public License for more details.

Web page: http://www.eld.LeidenUniv.nl/~moene/software/rll/

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Module Index

Rulbus LabVIEW Library for Microsoft Windows Modules

Here is a list of all modules:
  • User Manual
    • Rulbus -- RijksUniversiteit Leiden BUS
    • Defining Interface and Modules
    • Using the Rulbus LabVIEW Library
    • Threads and the Rulbus LabVIEW Library
  • Reference Manual
    • RB8506 PPORT Contents
      • RB8506 PPORT Close
      • RB8506 PPORT Get Line Dir
      • RB8506 PPORT Get Line Level
      • RB8506 PPORT Get Port Data
      • RB8506 PPORT Get Port Dir
      • RB8506 PPORT Open
      • RB8506 PPORT Set Line Dir
      • RB8506 PPORT Set Line Level
      • RB8506 PPORT Set Port Data
      • RB8506 PPORT Set Port Dir
      • RB8506 PPORT TEST Line
      • RB8506 PPORT TEST Port
    • RB8506 SIFU Contents
      • RB8506 SIFU Close
      • RB8506 SIFU Enable Pulse Outputs
      • RB8506 SIFU Get Input Line Level
      • RB8506 SIFU Get Input Port Data
      • RB8506 SIFU Get Output Line Level
      • RB8506 SIFU Get Output Port Data
      • RB8506 SIFU Open
      • RB8506 SIFU Set Output Line Level
      • RB8506 SIFU Set Output Port Data
      • RB8506 SIFU TEST Change
      • RB8506 SIFU TEST Line
      • RB8506 SIFU TEST Port
      • RB8506 SIFU Tst Input Line Level
      • RB8506 SIFU isChanged Input Line
      • RB8506 SIFU isEnabled Pulse Outputs
    • RB8509 ADC12 Contents
      • RB8509 ADC12 Autoscale
      • RB8509 ADC12 Close
      • RB8509 ADC12 Convert
      • RB8509 ADC12 Enable Ext Trigger
      • RB8509 ADC12 Get Channel
      • RB8509 ADC12 Get Ext Trigger Level
      • RB8509 ADC12 Get Gain
      • RB8509 ADC12 Get Value
      • RB8509 ADC12 Get Voltage
      • RB8509 ADC12 Get Voltperbit
      • RB8509 ADC12 Open
      • RB8509 ADC12 Set Channel
      • RB8509 ADC12 Set Gain
      • RB8509 ADC12 TEST
      • RB8509 ADC12 isBipolar
      • RB8509 ADC12 isEnabled Ext Trigger
      • RB8509 ADC12 isReady
    • RB8510 DAC12 Contents
      • RB8510 DAC12 Close
      • RB8510 DAC12 Get Value
      • RB8510 DAC12 Get Voltage
      • RB8510 DAC12 Get Voltperbit
      • RB8510 DAC12 Open
      • RB8510 DAC12 Set Value
      • RB8510 DAC12 Set Voltage
      • RB8510 DAC12 TEST
    • RB8513 TIMEBASE Contents
      • RB8513 TIMEBASE Close
      • RB8513 TIMEBASE Get Interval Time
      • RB8513 TIMEBASE Open
      • RB8513 TIMEBASE Set Interval Time
      • RB8513 TIMEBASE Stop
      • RB8513 TIMEBASE TEST
    • RB8514 DELAY Contents
      • RB8514 DELAY Close
      • RB8514 DELAY Enable Signal
      • RB8514 DELAY Get Clock Frequency
      • RB8514 DELAY Get Delay Count
      • RB8514 DELAY Get Delay Time
      • RB8514 DELAY Get Intrinsic Delay Time
      • RB8514 DELAY Get Signal Direction
      • RB8514 DELAY IsBusy
      • RB8514 DELAY IsEnabled Signal
      • RB8514 DELAY Open
      • RB8514 DELAY Set Clock Frequency
      • RB8514 DELAY Set Delay Count
      • RB8514 DELAY Set Delay Time
      • RB8514 DELAY Set Intrinsic Delay Time
      • RB8514 DELAY Set Signal Direction
      • RB8514 DELAY TEST
      • RB8514 DELAY Trigger
    • RB8515 CLOCK Contents
      • RB8515 CLOCK Close
      • RB8515 CLOCK Get Frequency
      • RB8515 CLOCK Open
      • RB8515 CLOCK Set Frequency
      • RB8515 CLOCK TEST
    • RB8905 ADC12 Contents
      • RB8905 ADC12 Arm
      • RB8905 ADC12 Close
      • RB8905 ADC12 Get Capacity
      • RB8905 ADC12 Get Jmp3 Capacity
      • RB8905 ADC12 Get Max Input Voltage
      • RB8905 ADC12 Get Min Input Voltage
      • RB8905 ADC12 Get Offset Voltage
      • RB8905 ADC12 Get Voltage Span
      • RB8905 ADC12 Get Voltperbit
      • RB8905 ADC12 Open
      • RB8905 ADC12 Read Value
      • RB8905 ADC12 Read Voltage
      • RB8905 ADC12 Set Capacity
      • RB8905 ADC12 Set Fast Mode
      • RB8905 ADC12 Set Unipolar Mode
      • RB8905 ADC12 TEST
      • RB8905 ADC12 isFast Mode
      • RB8905 ADC12 isReady
      • RB8905 ADC12 isUnipolar Mode
    • RB9005 AMPLIFIER Contents
      • RB9005 AMPLIFIER Close
      • RB9005 AMPLIFIER Get Channel
      • RB9005 AMPLIFIER Get Flp
      • RB9005 AMPLIFIER Get Gain
      • RB9005 AMPLIFIER Open
      • RB9005 AMPLIFIER Set ChanSeqMode
      • RB9005 AMPLIFIER Set Channel
      • RB9005 AMPLIFIER Set ClockSeqMode
      • RB9005 AMPLIFIER Set Flp
      • RB9005 AMPLIFIER Set Gain
      • RB9005 AMPLIFIER TEST
      • RB9005 AMPLIFIER isChanSeqMode
      • RB9005 AMPLIFIER isClockSeqMode
    • RB9603 MONOCHROMATOR Contents
      • RB9603 MONOCHROMATOR Close
      • RB9603 MONOCHROMATOR Get ADC Mean Wavelength
      • RB9603 MONOCHROMATOR Get ADC Wavelength
      • RB9603 MONOCHROMATOR Get Current Wavelength
      • RB9603 MONOCHROMATOR Get Max Wavelength
      • RB9603 MONOCHROMATOR Get Min Wavelength
      • RB9603 MONOCHROMATOR Get Target Wavelength
      • RB9603 MONOCHROMATOR Open
      • RB9603 MONOCHROMATOR Set Wavelength
      • RB9603 MONOCHROMATOR TEST
      • RB9603 MONOCHROMATOR Wait
      • RB9603 MONOCHROMATOR isReady
  • Developer Manual
    • From LabVIEW to DLL
    • Developing the VI Interface
    • Developing the VI Implementation
Generated on Wed Oct 13 09:23:21 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: User Manual

User Manual

Detailed Description

The Rulbus LabVIEW Library is a LabVIEW 6.0 library for Windows 95/98/NT/2000/XP (rulbus.llb) It contains Virtual Instruments (VIs) to use the most popular Rulbus modules and it supports the ISA Rulbus Interface as well as the EPP Rulbus Interface. The Rulbus LabVIEW Library uses the Rulbus Device Library, a Microsoft Windows dynamic-link library.

Modules

Rulbus -- RijksUniversiteit Leiden BUS
computer-indepedent I/O bus -- modules -- racks -- computer--Rulbus interfaces.

Defining Interface and Modules
computer--Rulbus interface -- module configuration file -- setrulbus utility.

Using the Rulbus LabVIEW Library
structure -- usage pattern -- error handling -- example.

Threads and the Rulbus LabVIEW Library
multithreading -- example.

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Rulbus -- RijksUniversiteit Leiden BUS

Rulbus -- RijksUniversiteit Leiden BUS
[User Manual]

I/O bus for peripherals

The Rulbus is a simple input-output bus for peripherals, like an analog to digital converter. It is designed such that peripheral cards have a simple interface to the bus. Also, it is designed such that many microprocessor types can be connected to the Rulbus via a simple Rulbus Interface. Thus a single version of a peripheral card can be used with various types of microprocessors and microcomputer systems. more...

Rulbus Modules or Cards

There are circa 100 different Rulbus modules. Some of the most popular are:

  • parallel interface module for digital input-output, RB8506 with PIA or VIA
  • 12-bit analog to digital converter module, RB8509
  • 12-bit digital to analog converter module, RB8510
  • delay module, RB8514
  • clock module, RB8515

Several properties of a Rulbus module are:

  • the printed-circuit board has Euro-card format
  • the card has a 50-pin Rulbus connector on its rear side that connects to the Rulbus flatcable
  • most cards have input-output connectors on the front side
  • the card is enclosed in a metal case

Rulbus Racks

Based on an application's measurement and control requirements, various Rulbus modules are collected in one or more 14-inch racks. A rack may contain up to 12 single-width (35 mm) modules.

The picture below shows several Rulbus modules in a half-width rack.

Several racks may be chained and then be connected to a computer via a computer--Rulbus interface.

The bus-part of the Rulbus

The Rulbus as a bus is a collection of several lines that make communication between a computer and the various Rulbus cards possible.

The bus consists of the following lines:

  • 8 lines to carry data (one data byte at a time)
  • 8 lines to address a data byte
  • 5 lines for control (enable, read-write, reset, interrupt and a 4 MHz clock signal)
  • many lines for +5 Volt, +15 Volt and -15 Volt power supply

The Rulbus address space is thus 256 bytes (2^8). Two of these addresses are reserved:

  • 0x00 or 0 is reserved to extend the range of available addresses (see further)
  • 0xFF or 255 is reserved for the `bus inactive' state.

There are Rulbus modules that only use one byte of the Rulbus address space, but there are also modules that occupy 32 bytes of the address space of 254 bytes. The address range a module uses, is determined when the module is made: it is programmed in the card's address GAL or PAL (programmable array logic).

If many modules are used together it may be difficult to assign all modules a proper address range and prevent address conflicts.

In section Defining the Modules we will see how the Rulbus addressing scheme is extended by giving each rack its own address (secondary address).

In section Defining the Modules we will also see how the address and several other properties of each module to use can be specified in a Rulbus configuration file.

Rulbus Interfaces

Nowadays, only two Rulbus Interfaces that connect to a PC are of interest:

  • the ISA Rulbus Interface
  • the EPP Rulbus Interface

The ISA Rulbus Interface is designed for the Industry Standard Architecture (ISA) slots of a PC. New PCs may not include ISA slots anymore, so a new Rulbus Interface was developed: the EPP Rulbus Interface.

The EPP Rulbus Interface is connnected to the parallel port of a computer (PC). For the interface to work, the parallel port must be configured to work in Enhanced Printer Port mode in the PC's BIOS, hence the EPP [IEEE1284].

The Rulbus Device Library supports both Rulbus Interfaces. At default the library assumes that the EPP Rulbus Interface is being used with the parallel port at address 0x378. If this assumption is not valid, the library must be informed what the proper interface type and address are. To this end the RULBUS environment variable can be defined. See section Defining the Interface
previous top next

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Defining Interface and Modules

Defining Interface and Modules
[User Manual]

Defining the Interface

The Rulbus LabVIEW Library supports the ISA Rulbus Interface as well as the EPP Rulbus Interface. At default the library assumes that the EPP Rulbus Interface is being used with the parallel port at address 0x378. If this assumption is not valid, the library must be informed what the proper interface type and address are. To this end the RULBUS environment variable can be defined as follows, here shown as shell commands:

  • set RULBUS=isa,0x200
  • set RULBUS=epp,0x278

You can add ;nocheck to disable checking if the Rulbus Interface is present (EPP only). See also Setrulbus Utility.

Remember to configure the PC's parallel port to work in Enhanced Printer Port mode in the PC's BIOS, if you use the EPP Rulbus Interface.

Defining the Modules

The Rulbus modules a program can use, must be specified through a Rulbus configuration file. This file is read when the program references rulbus.dll for the first time and the Rulbus Device Library DLL is loaded by the operating system.

Here is a small Rulbus configuration file.

# rulbus-small.conf - example rulbus configuration file.

rack "top"
{
    address = 0

    rb8509_adc12 "adc"
    rb8510_dac12 "dac-ch0" { address = 0xD0 }
    rb8510_dac12 "dac-ch1" { address = 0xD2; bipolar = false; voltperbit = 1.25m }
}

rack "bottom"
{
   address = 1

   // still empty
}

And here is a longer configuration file.

The configuration file defines racks that contain modules (cards). Besides card declarations, a rack declaration usually contains an address specification (See secondary address).

Card Declarations

The card declarations specify the type of the card and the name by which it is referenced from the program. All card types can specify the address property and several card types can specify other properties, like bipolar for card type rb8510_dac12. The available properties and their default values are given in the section Default configuration in the reference manual for the various card types.

Secondary Address

When more than one rack is used, each rack must have a unique address. The address of a rack is defined at its rear side via a 4-bit DIP-switch, so that rack addresses fall in the range 0--15.

Address 15 has a special meaning: the rack is always selected or active. In this case it must be the only rack connected to the computer--Rulbus interface.

If a rack has an address in the range 0--14, the rack must be specifically selected by a program before the cards it contains can be accessed. Note that the Rulbus Device Library takes care of this.

So with rack addressing, the range of available addresses is extended to 15 times 254, or 3810.

The figure above shows a rack with secondary address 3: binary 0011, 0*2^3 + 0*2^2 + 1*2^1 + 1*2^0 .

Note that the Rulbus Interface cannot be specified in the Rulbus configuration file. The rationale behind this is, that the Rulbus Interface is related to the computer, whereas the items in the Rulbus configuration file are related to the application. When a PC is replaced by another one, the application and the Rulbus configuration file should move to the new computer, but not the Rulbus Interface specification.

Which Configuration File

The path of the configuration file to read is determined as follows:

  1. contents of environment variable RULBUS_CONFIG_FILE, or
  2. file .\rulbus.conf (current directory), or
  3. file C:\etc\rulbus.conf

You can set the environment variable RULBUS_CONFIG_FILE in a command shell temporarily as follows:

  • set RULBUS_CONFIG_FILE=M:\myexperiment\etc\rulbus.conf

Setrulbus Utility

For Windows 95 types of operating system (Windows 95/98/me) the RULBUS and RULBUS_CONFIG_FILE environment variables must be recorded in autoexec.bat by editing it. For Windows NT types of operating system (Windows NT/2000/XP) they must be recorded in the registry, for example via System Properties, Environment.

To make it easy to select the proper Rulbus Interface and to define the path to the Rulbus configuration file on either operating system type, a small GUI program has been made: setrulbus.exe.

Open setrulbus via Start | Rulbus LabVIEW Library | Tools | Set Rulbus Environment. Program setrulbus is located in the programs subdirectory of the Rulbus LabVIEW Library installation directory.

previous top next

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Using the Rulbus LabVIEW Library

Using the Rulbus LabVIEW Library
[User Manual]

Structure

The Rulbus LabVIEW Library contains several VIs for each Rulbus module, including a Contents VI. Here is the 12-bit DAC module's Contents page.

The Contents VIs of all Rulbus modules are collected in an overall library Contents VI. The latter is a good place to start exploring the Rulbus LabVIEW Library: With the context help on (Cntrl+H), move the mouse pointer over the Contents VI for the Rulbus module(s) you are interested in.

Usage Pattern

Rulbus modules are used according to the pattern: open -- use -- close, for example:

The name used to open the DAC corresponds to a name in the Rulbus configuration file. See section Defining the Modules

Error Handling

All Rulbus VIs provide error handling. An incoming error is directly transfered to the error output and the VI does nothing else. If an error occurs within the VI, an error is generated with:

  • status set to True
  • code set to 5000 (first user error code)
  • source set to the error message provided by the Rulbus Device Library

Connected to a LabVIEW simple or general error handler, this gives a rather ugly, but nevertheless useful message that indicates the source and the kind of the error.

Only the first sentence of the error message is important, you may ignore the rest of the message.

Complete Example

The following example program opens a DAC, generates a staircase voltage and closes the DAC again.

Note that the input voltage parameter of the RB8510 DAC12 Set Voltage VI contains the voltage unit V. The loop count i is mutiplied by 1V to convert it to voltage. Physical units are described on pages 9-25 to 9-32 in the G Programming Reference Manual [National Instruments, 1998].

previous top next

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Threads and the Rulbus LabVIEW Library

Threads and the Rulbus LabVIEW Library
[User Manual]

Multithreading

Because the Rulbus LabVIEW Library is used on a multitasking--multithreading operating system, attention must be given to the effects this may have. For example, it should not be possible that in one thread a Rulbus device just selected its rack, followed by a second device in another thread setting one of its registers, assuming that its rack still is selected.

The Rulbus Device Library, and therefore the Rulbus LabVIEW Library, enforces the following:

  • access to all Rulbus devices is serialized so that only one thread can alter a device at a time and only one device can access the Rulbus at a time
  • selecting a rack and reading a byte from or writing a byte to the Rulbus is also serialized

Serialized means that an operation is completed before the next operation will be allowed to commence.

See Chapter 26 of the G Programming Reference Manual [National Instruments, 1998] for more information on multitasking and multithreading in the G Execution System.

Example

The following program example shows the use of three threads, two of which control their own DAC. One thread generates a square wave voltage, the other thread generates a sawtooth voltage.

previous top next

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Reference Manual

Reference Manual

Detailed Description

The Rulbus LabVIEW Library contains two groups of VIs:
  • general library VIs, like Error
  • Rulbus module related VIs, for example RB8510 DAC12 Open
When you want to use a specific Rulbus module, look up its documentation page by Rulbus number in the Contents pane at the left, for example Modules | Reference Manual | RB8510 DAC12 Contents for the dual 12-bit DAC and read the documentation for the functions available.

Modules

RB8506 PPORT Contents
dual parallel interface.

RB8506 SIFU Contents
I/O Controller Box.

RB8509 ADC12 Contents
8-channel 12-bit ADC.

RB8510 DAC12 Contents
dual 12-bit DAC.

RB8513 TIMEBASE Contents
programmable timebase.

RB8514 DELAY Contents
programmable time delay.

RB8515 CLOCK Contents
clock for delay module rb8514.

RB8905 ADC12 Contents
high speed 12-bit ADC with 32kByte Buffer.

RB9005 AMPLIFIER Contents
programmable instrumentation amplifier for RB8905 12-bit ADC.

RB9603 MONOCHROMATOR Contents
monochromator controller.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Contents

RB8506 PPORT Contents
[Reference Manual]

Detailed Description

RB8506 PPORT Contents

RB8506 PPORT Contents

RB8506 -- Parallel Interface

Purpose

Provide digital inputs and outputs.

Description

Module RB8506 is a (dual) parallel interface. Internally the module may contain Motorola Peripheral Interface Adapter MC6821 (Pia) ICs or Rockwell Versatile Interface Adapater R6522 (Via) ICs or a combination of both.

The following variations of this module are known to exist:

- dual with two Pia's

- dual with a Pia and a Via

- dual with two Via's

- single Pia (small front)

Note that you should open each Pia/Via in a Parallel Interface module separately.

Configuration

The RB8506 parallel interface module has no properties that are configured at production time.

Default configuration

rb8506_pia "name1" { address = 0x90 }

rb8506_via "name2" { address = 0x90 }

When the Rulbus configuration file is read, the parallel interface ports are left unchanged.

Connector Pane

RB8506 PPORT Contents

Controls and Indicators

Modules

RB8506 PPORT Close
close the parallel interface specified by handle.

RB8506 PPORT Get Line Dir
get peripheral line-direction, or active edge (C1) setting.

RB8506 PPORT Get Line Level
get peripheral line level.

RB8506 PPORT Get Port Data
get peripheral port data.

RB8506 PPORT Get Port Dir
get peripheral port data-direction setting.

RB8506 PPORT Open
open a parallel interface.

RB8506 PPORT Set Line Dir
set peripheral line-direction, or active adge (C1).

RB8506 PPORT Set Line Level
set peripheral line-level.

RB8506 PPORT Set Port Data
set peripheral port data.

RB8506 PPORT Set Port Dir
set peripheral port data-direction.

RB8506 PPORT TEST Line
test the parallel interface line VIs.

RB8506 PPORT TEST Port
test the parallel interface port VIs.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Close

RB8506 PPORT Close
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Close

RB8506 PPORT Close

close the Parallel Interface specified by handle.

See also RB8506 PPORT Open.

Connector Pane

RB8506 PPORT Close

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8506_PPORT_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Get Line Dir

RB8506 PPORT Get Line Dir
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Get Line Dir

RB8506 PPORT Get Line Dir

get the line direction (PA, PB and C2) or active edge (C1).

Direction for lines PA0..7, PB0..7, CA2 and CB2 can be:

- i for input

- o for output

Direction for lines CA1 and CB1 can be:

- n for negative active edge

- p for positive active edge

See also RB8506 PPORT Set Line Dir.

Connector Pane

RB8506 PPORT Get Line Dir

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

line (PA0)

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dir

peripheral line or C2 line direction [io], or C1 line active edge [np].

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup line

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

Functions

int RB8506_PPORT_Get_Line_Dir ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Get_Line_Dir ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Get Line Level

RB8506 PPORT Get Line Level
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Get Line Level

RB8506 PPORT Get Line Level

get the line level (PA, PB, CA and CB).

Level for lines PA0..7, PB0..7, CA2 and CB2 can be:

- false for low

- true for high

'Level' for lines CA1 and CB1 can be:

- false for active edge did not occur

- true for active edge did occur

See also RB8506 PPORT Set Line Level.

Connector Pane

RB8506 PPORT Get Line Level

Controls and Indicators

cu16

line (PA0)

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ibool

level

Line level: F (low) or T (high).

iu16

dup line

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8506_PPORT_Get_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Get_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Get Port Data

RB8506 PPORT Get Port Data
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Get Port Data

RB8506 PPORT Get Port Data

get the data for port.

port bit-pattern:

Peripheral ports PA, PB and Control ports lines CA2, CB2:

- 0 low level

- 1 high level

Control ports lines CA1, CB1:

- 0 active edge did not occurr

- 1 active edge occurred

So for example, when port is PB and bit-pattern is 0b00001111, lines PB0..PB3 are high (1) and lines PB4..PB7 are low (0).

A bit-pattern of 0b10 for CB (or CA), indicates that CB2 is high and CB1 did not record an active edge transition since the last read (CB1 is at bit-position 0).

See also RB8506 PPORT Set Port Data.

Connector Pane

RB8506 PPORT Get Port Data

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

port (PA)

peripheral port, PA, PB, or control port CA , CB.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

data

port data bit-pattern.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup port

peripheral port, PA, PB, or control port CA , CB.

Functions

int RB8506_PPORT_Get_Port_Data ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Get_Port_Data ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Get Port Dir

RB8506 PPORT Get Port Dir
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Get Port Dir

RB8506 PPORT Get Port Dir

get the direction bit-pattern for port.

port direction bit-pattern:

Peripheral ports PA, PB: 0s specify inputs, 1s specify outputs.

Control ports lines CA1, CB1: 0s specify negative active edge, 1s specifes positive active edge.

Control ports lines CA2, CB2: 0 specify inputs, 1s specify outputs.

So for example, when port is PB and bit-pattern is 0b00001111, lines PB0..PB3 are outputs (1) and lines PB4..PB7 are inputs (0).

A bit-pattern of 0b10 for CB (or CA), indicates that CB2 is an output and CB1 is sensitive to the negative edge (CB1 is at bit-position 0).

See also RB8506 PPORT Set Port Dir.

Connector Pane

RB8506 PPORT Get Port Dir

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

port (PA)

peripheral port, PA, PB, or control port CA , CB.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dir

port direction bit-pattern.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup port

peripheral port, PA, PB, or control port CA , CB.

Functions

int RB8506_PPORT_Get_Port_Dir ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Get_Port_Dir ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Open

RB8506 PPORT Open
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Open

RB8506 PPORT Open

open a RB8506 Parallel Interface module by its name.

Note that you should open each Pia/Via in a Parallel Interface module separately.

See also RB8506 PPORT Close.

Connector Pane

RB8506 PPORT Open

Controls and Indicators

cstr

name (pport)

the name of this Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new Parallel Interface.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8506_PPORT_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Set Line Dir

RB8506 PPORT Set Line Dir
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Set Line Dir

RB8506 PPORT Set Line Dir

set the line direction (PA, PB and C2) or active edge (C1).

For lines PA0..7, PB0..7, CA2 and CB2 you can specify:

- i for input

- o for output

For lines CA1 and CB1 you can specify:

- n for negative active edge

- p for positive active edge

See also RB8506 PPORT Get Line Dir.

Connector Pane

RB8506 PPORT Set Line Dir

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

line (PA0)

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

ci8

dir (i)

peripheral line or C2 line direction [io], or C1 line active edge [np].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup line

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

Functions

int RB8506_PPORT_Set_Line_Dir ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Set_Line_Dir ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Set Line Level

RB8506 PPORT Set Line Level
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Set Line Level

RB8506 PPORT Set Line Level

set the line level (PA, PB and C2).

Level for lines PA0..7, PB0..7, CA2 and CB2 can be:

- false for low

- true for high

CA1 and CB1 are input-only.

See also RB8506 PPORT Get Line Level.

Connector Pane

RB8506 PPORT Set Line Level

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

line (PA0)

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

cbool

level (F)

Line level: F (low) or T (high).

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup line

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

Functions

int RB8506_PPORT_Set_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Set_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Set Port Data

RB8506 PPORT Set Port Data
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Set Port Data

RB8506 PPORT Set Port Data

set the data for port.

port bit-pattern:

Peripheral ports PA, PB and Control ports lines CA2, CB2:

- 0 low level

- 1 high level

So for example, when port is PB and bit-pattern is 0b00001111, lines PB0..PB3 are set high (1) and lines PB4..PB7 are set low (0).

A bit-pattern of 0b10 for CB (or CA), indicates that CB2 is set high (CB2 is at bit-position 1). CA1 and CB1 are input-only.

See also RB8506 PPORT Get Port Data.

Connector Pane

RB8506 PPORT Set Port Data

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

port (PA)

peripheral port, PA, PB, or control port CA , CB.

ci32

data (0)

port data bit-pattern.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup port

peripheral port, PA, PB, or control port CA , CB.

Functions

int RB8506_PPORT_Set_Port_Data ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Set_Port_Data ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT Set Port Dir

RB8506 PPORT Set Port Dir
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT Set Port Dir

RB8506 PPORT Set Port Dir

set the direction of port according to bit-pattern dir.

port direction bit-pattern:

Peripheral ports PA, PB: 0s specify inputs, 1s specify outputs.

Control ports lines CA1, CB1: 0s specify negative active edge, 1s specifes positive active edge.

Control ports lines CA2, CB2: 0 specify inputs, 1s specify outputs.

So for example, when port is PB and bit-pattern is 0b00001111, lines PB0..PB3 are set to output (1) and lines PB4..PB7 are set to input (0).

To set CB2 to output and CB1 to negative active edge, you use 0b10 (CB1 is at bit-position 0).

See also RB8506 PPORT Get Port Dir.

Connector Pane

RB8506 PPORT Set Port Dir

Controls and Indicators

ci32

handle

is a handle to the Parallel Interface.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cu16

port (PA)

peripheral port, PA, PB, or control port CA , CB.

ci32

dir (0)

port direction bit-pattern.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the Parallel Interface.

iu16

dup port

peripheral port, PA, PB, or control port CA , CB.

Functions

int RB8506_PPORT_Set_Port_Dir ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_Set_Port_Dir ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT TEST Line

RB8506 PPORT TEST Line
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT TEST Line

RB8506 PPORT TEST Line

This VI can be used to:

- verify the RB8506 Line VIs and the Rulbus Device Library functions

- verify the working of the RB8506 dual Parallel Interface Rulbus Module

Connector Pane

RB8506 PPORT TEST Line

Controls and Indicators

cu16

line (PA0)

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

ci8

dir (i)

peripheral line or C2 line direction [io], or C1 line active edge [np].

cu16

line (PA0) 2

peripheral line PA0..PA7, PB0..PB7, or control line CA1, CA2, CB1 or CB2.

cbool

level (F)

Line level: F (low) or T (high).

cstr

name (pia)

the name of this Parallel Interface.

ii8

dir

peripheral line or C2 line direction [io], or C1 line active edge [np].

ibool

level

Line level: F (low) or T (high).

Functions

int RB8506_PPORT_TEST_Line ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_TEST_Line ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 PPORT TEST Port

RB8506 PPORT TEST Port
[RB8506 PPORT Contents]

Detailed Description

RB8506 PPORT TEST Port

RB8506 PPORT TEST Port

This VI can be used to:

- verify the RB8506 Port VIs and the Rulbus Device Library functions

- verify the working of the RB8506 dual Parallel Interface Rulbus Module

Connector Pane

RB8506 PPORT TEST Port

Controls and Indicators

ci32

dir (0)

port direction bit-pattern.

cu16

port (PA)

peripheral port, PA, PB, or control port CA , CB.

cu16

port (PA) 2

peripheral port, PA, PB, or control port CA , CB.

ci32

data (0)

port data bit-pattern.

cstr

name (pport)

the name of this Parallel Interface.

ii32

data

port data bit-pattern.

ii32

dir

port direction bit-pattern.

Functions

int RB8506_PPORT_TEST_Port ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_PPORT_TEST_Port ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Contents

RB8506 SIFU Contents
[Reference Manual]

Detailed Description

RB8506 SIFU Contents

RB8506 SIFU Contents

RB8506 -- I/O Controller Box or Sense Interrupt Flag Unit (SIFU)

Purpose

Provide digital inputs and outputs.

Description

Description

Module RB8506, SIFU variant, is a digital input-output interface. It has four level-sensitive inputs, four negative-edge-sensitive inputs, four level outputs and four outputs that can be pulsed as a group.

There is also a provision to check if any of both the negative-edge-sensitive inputs and the level-sensitive inputs have changed state since it was last checked.

Inputs and outputs are available in TTL and in CMOS: TTL or CMOS can be selected with a switch on the front, two inputs or two outputs at the time. A LED indicates if TLL (red) or CMOS (green) is selected.

The SIFU module consists of a PIA parallel interface (see RB8506 Parallel Interface) and a Sense Interrupt Flag Unit (SIFU) board.

Configuration

The RB8506 parallel interface module has no properties that are configured at production time.

Default configuration

rb8506_sifu "name" { address = 0x94 }

When the Rulbus configuration file is read, the SIFU is initialized as follows:

- the input port is read to clear any history

- the ouput port is set to zero

Connector Pane

RB8506 SIFU Contents

Controls and Indicators

Modules

RB8506 SIFU Close
close a SIFU.

RB8506 SIFU Enable Pulse Outputs
enable the pulse outputs.

RB8506 SIFU Get Input Line Level
get the input line level; clears input flip-flops.

RB8506 SIFU Get Input Port Data
get input port data.

RB8506 SIFU Get Output Line Level
get output line level.

RB8506 SIFU Get Output Port Data
get output port data.

RB8506 SIFU Open
open a SIFU.

RB8506 SIFU Set Output Line Level
set output line level.

RB8506 SIFU Set Output Port Data
set output port data.

RB8506 SIFU TEST Change
test the I/O Controller Box test input change VIs.

RB8506 SIFU TEST Line
test the I/O Controller Box line VIs.

RB8506 SIFU TEST Port
test the I/O Controller Box port VIs.

RB8506 SIFU Tst Input Line Level
testt the input line level; retains input flip-flop state.

RB8506 SIFU isChanged Input Line
true if one or more input lines have changed.

RB8506 SIFU isEnabled Pulse Outputs
true if the pulse outputs are enabled.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Close

RB8506 SIFU Close
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Close

RB8506 SIFU Close

close the I/O Controller Box (SIFU) specified by handle.

See also RB8506 SIFU Open.

Connector Pane

RB8506 SIFU Close

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8506_SIFU_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Enable Pulse Outputs

RB8506 SIFU Enable Pulse Outputs
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Enable Pulse Outputs

RB8506 SIFU Enable Pulse Outputs

enable (T) or disable (F) the pulse outputs.

See also RB8506 SIFU isEnabled Pulse Outputs.

Connector Pane

RB8506 SIFU Enable Pulse Outputs

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

enable (T)

enable (T) or disable (F) the pulse outputs.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the I/O Controller Box.

Functions

int RB8506_SIFU_Enable_Pulse_Outputs ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Enable_Pulse_Outputs ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:13 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Get Input Line Level

RB8506 SIFU Get Input Line Level
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Get Input Line Level

RB8506 SIFU Get Input Line Level

get the input line level.

Input Port line 0..3:

- false low level

- true high level

Input Port line 4..7:

- false no low-high transition has occurred

- true low-high transition has occurred

The read operation clears the input flip-flops of the positive-edge-sensitive inputs 4..7.

See also RB8506 SIFU Tst Input Line Level.

Connector Pane

RB8506 SIFU Get Input Line Level

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

line (0)

is the line to read.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

ii32

dup line

is a duplicate of the line to read.

ibool

level

Functions

int RB8506_SIFU_Get_Input_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Get_Input_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Get Input Port Data

RB8506 SIFU Get Input Port Data
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Get Input Port Data

RB8506 SIFU Get Input Port Data

get the input port data.

Input Port line 0..3:

- 0 low level

- 1 high level

Input Port line 4..7:

- 0 low-high transition did not occurr

- 1 low-high transition occurred

So for example, when the bit-pattern is 0b00010111, input lines 0..2 are high (1) and input line 4 had a low-high transition.

See also RB8506 PPORT Get Input Line Level.

Connector Pane

RB8506 SIFU Get Input Port Data

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

data

the input port data bit-pattern.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

Functions

int RB8506_SIFU_Get_Input_Port_Data ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Get_Input_Port_Data ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Get Output Line Level

RB8506 SIFU Get Output Line Level
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Get Output Line Level

RB8506 SIFU Get Output Line Level

get the output line level.

Output Port line 0..3:

- false low level

- true high level

Output Port line 4..7:

- false no pulse

- true armed for pulse

See also RB8506 PPORT Get Output Line Level and RB8506 SIFU Enable Pulse Ouputs.

Connector Pane

RB8506 SIFU Get Output Line Level

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

line (0)

is the line to read.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

ii32

dup line

is a duplicate of the line to read.

ibool

level

Functions

int RB8506_SIFU_Get_Output_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Get_Output_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Get Output Port Data

RB8506 SIFU Get Output Port Data
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Get Output Port Data

RB8506 SIFU Get Output Port Data

get the output port data.

Output Port line 0..3:

- 0 low level

- 1 high level

Output Port line 4..7:

- 0 no pulse

- 1 armed for pulse

So for example, when the bit-pattern is 0b00010111, output lines 0..2 are high (1) and output line 4 will follow the state of the pulse output (see RB8506 SIFU Enable Pulse Ouputs).

See also RB8506 PPORT Set Output Line Level.

Connector Pane

RB8506 SIFU Get Output Port Data

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

data

the output port data bit-pattern.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

Functions

int RB8506_SIFU_Get_Output_Port_Data ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Get_Output_Port_Data ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Open

RB8506 SIFU Open
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Open

RB8506 SIFU Open

open a RB8506 I/O Controller Box (SIFU) module by its name.

See also RB8506 SIFU Close.

Connector Pane

RB8506 SIFU Open

Controls and Indicators

cstr

name (sifu)

the name of this I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the newI/O Controller Box.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8506_SIFU_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Set Output Line Level

RB8506 SIFU Set Output Line Level
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Set Output Line Level

RB8506 SIFU Set Output Line Level

set the output line level.

Output Port line 0..3:

- false for low level

- true for high level

Output Port line 4..7:

- false for no pulse

- true to arm for pulse

See also RB8506 PPORT Get Output Line Level and RB8506 SIFU Enable Pulse Ouputs.

Connector Pane

RB8506 SIFU Set Output Line Level

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

level (F)

Line level: F (low) or T (high).

ci32

line (0)

is the line to set or clear.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

ii32

dup line

is a duplicate of the line to set or clear.

Functions

int RB8506_SIFU_Set_Output_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Set_Output_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Set Output Port Data

RB8506 SIFU Set Output Port Data
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Set Output Port Data

RB8506 SIFU Set Output Port Data

set the output port data.

Output Port line 0..3:

- 0 low level

- 1 high level

Output Port line 4..7:

- 0 no pulse

- 1 armed for pulse

So for example, when the bit-pattern is 0b00010111, output lines 0..2 are high (1) and output line 4 will follow the state of the pulse output (see RB8506 SIFU Enable Pulse Ouputs).

See also RB8506 PPORT Get Output Line Level.

Connector Pane

RB8506 SIFU Set Output Port Data

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

data (0)

the output port data bit-pattern.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

Functions

int RB8506_SIFU_Set_Output_Port_Data ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Set_Output_Port_Data ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU TEST Change

RB8506 SIFU TEST Change
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU TEST Change

RB8506 SIFU TEST Change

This VI can be used to:

- verify the RB8506 SIFU VIs and the Rulbus Device Library functions

- verify the working of the RB8506 I/O Controller Box (SIFU) Rulbus Module

Connector Pane

RB8506 SIFU TEST Change

Controls and Indicators

cstr

name (sifu)

the name of this I/O Controller Box.

ci32

data out

the output port data bit-pattern.

ii32

delta data in

the input port data bit-pattern.

Functions

int RB8506_SIFU_TEST_Change ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_TEST_Change ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU TEST Line

RB8506 SIFU TEST Line
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU TEST Line

RB8506 SIFU TEST Line

This VI can be used to:

- verify the RB8506 SIFU VIs and the Rulbus Device Library functions

- verify the working of the RB8506 I/O Controller Box (SIFU) Rulbus Module

Connector Pane

RB8506 SIFU TEST Line

Controls and Indicators

cstr

name (sifu)

the name of this I/O Controller Box.

cbool

level (F)

Line level: F (low) or T (high).

ci32

line (0)

is the line to set or clear.

ibool

output line level

ibool

input line level

Functions

int RB8506_SIFU_TEST_Line ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_TEST_Line ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU TEST Port

RB8506 SIFU TEST Port
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU TEST Port

RB8506 SIFU TEST Port

This VI can be used to:

- verify the RB8506 SIFU VIs and the Rulbus Device Library functions

- verify the working of the RB8506 I/O Controller Box (SIFU) Rulbus Module

Connector Pane

RB8506 SIFU TEST Port

Controls and Indicators

cstr

name (sifu)

the name of this I/O Controller Box.

ci32

write ouput

the output port data bit-pattern.

ii32

output read

the output port data bit-pattern.

ii32

input read

the input port data bit-pattern.

Functions

int RB8506_SIFU_TEST_Port ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_TEST_Port ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU Tst Input Line Level

RB8506 SIFU Tst Input Line Level
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU Tst Input Line Level

RB8506 SIFU Tst Input Line Level

test the input line level.

Input Port line 0..3:

- false low level

- true high level

Input Port line 4..7:

- false no low-high transition has occurred

- true low-high transition has occurred

The test operation retains the state of the input flip-flops of the positive-edge-sensitive inputs 4..7.

See also RB8506 SIFU Get Input Line Level.

Connector Pane

RB8506 SIFU Tst Input Line Level

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

line (0)

is the line to read.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate handle to the I/O Controller Box.

ii32

dup line

is a duplicate of the line to read.

ibool

level

Functions

int RB8506_SIFU_Tst_Input_Line_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_Tst_Input_Line_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU isChanged Input Line

RB8506 SIFU isChanged Input Line
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU isChanged Input Line

RB8506 SIFU isChanged Input Line

true if one or more of the input lines have changed since the last time it was checked.

See also RB8506 SIFU Get Input Line Level.

Connector Pane

RB8506 SIFU isChanged Input Line

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the I/O Controller Box.

ibool

is changed

true if one or more of the input lines has changed since the last time it was checked.

Functions

int RB8506_SIFU_isChanged_Input_Line ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_isChanged_Input_Line ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8506 SIFU isEnabled Pulse Outputs

RB8506 SIFU isEnabled Pulse Outputs
[RB8506 SIFU Contents]

Detailed Description

RB8506 SIFU isEnabled Pulse Outputs

RB8506 SIFU isEnabled Pulse Outputs

true if the pulse outputs are enabled.

See also RB8506 SIFU Enable Pulse Outputs.

Connector Pane

RB8506 SIFU isEnabled Pulse Outputs

Controls and Indicators

ci32

handle

is a handle to the I/O Controller Box.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the I/O Controller Box.

ibool

is enabled

the pulse outputs are enabled (T), disabled (F).

Functions

int RB8506_SIFU_isEnabled_Pulse_Outputs ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8506_SIFU_isEnabled_Pulse_Outputs ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Contents

RB8509 ADC12 Contents
[Reference Manual]

Detailed Description

RB8509 ADC12 Contents

RB8509 ADC12 Contents

RB8509 -- 8-channel 12-bit ADC

Purpose

Measure a voltage.

Description

Module RB8509 is a 8-channel 12-bit analog to digital converter (ADC).

The module has eight analog inputs and a trigger input to start a data acquisition. A data acquisition can also be started by a software trigger.

Module RB8509 contains the following parts:

- a channel selector to select one of the eight inputs [ch0..ch7]

- a gain selector to select one of the four gains [1, 2, 4, 8]

- a 12-bit data Analog to Digital Converter

The following variations of this module are known to exist:

- 8-channel input, no external trigger input

- 4-channel input

Configuration

At production time, the ADC is configured for unipolar or bipolar operation and its input voltage range is defined as 10 or 20V.

The following table shows the volt-per-bit values for the various input voltage ranges.

Voltage range | volt-per-bit bipolar

----------------------+--------------------------

0 .. 10.2375 V | 2.5 mV 0

-5.12 .. 5.1175 V | 2.5 mV 1

-10.24 .. 10.235 V | 5 mV 1

Default configuration

rb8509_adc12 "name"

{

address = 0xC0,

bipolar = true,

volt_per_bit = 5e-3

}

When the Rulbus configuration file is read, ADCs are configured as follows:

- external trigger disabled

- gain 1 selected

- channel 0 selected

Connector Pane

RB8509 ADC12 Contents

Controls and Indicators

Modules

RB8509 ADC12 Autoscale
determine and set amplifier gain to fit current signal.

RB8509 ADC12 Close
close an ADC.

RB8509 ADC12 Convert
start an analog to digital conversion.

RB8509 ADC12 Enable Ext Trigger
enable or disable external trigger-input.

RB8509 ADC12 Get Channel
get currently selected channel [0..7].

RB8509 ADC12 Get Ext Trigger Level
the current external trigger level.

RB8509 ADC12 Get Gain
get currently selected gain [1,2,4,8].

RB8509 ADC12 Get Value
issue software trigger and return conversion value, may return 1 on timeout; OR wait for external trigger and return conversion value.

RB8509 ADC12 Get Voltage
issue software trigger and return input-voltage measured, may return 1 on timeout; OR wait for external trigger and return input-voltage measured.

RB8509 ADC12 Get Voltperbit
the ADC's input sensitivity configuration.

RB8509 ADC12 Open
open an ADC.

RB8509 ADC12 Set Channel
select channel [0..7].

RB8509 ADC12 Set Gain
select gain [1,2,4,8].

RB8509 ADC12 TEST
test the ADC VIs and physical ADC module.

RB8509 ADC12 isBipolar
true if ADC has bipolar configuration.

RB8509 ADC12 isEnabled Ext Trigger
true if external trigger-input is enabled.

RB8509 ADC12 isReady
true if result is available; flag is reset by reading result.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Autoscale

RB8509 ADC12 Autoscale
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Autoscale

RB8509 ADC12 Autoscale

Determine and set amplifier gain to fit current signal of the ADC specified by handle.

Connector Pane

RB8509 ADC12 Autoscale

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Autoscale ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Autoscale ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Close

RB8509 ADC12 Close
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Close

RB8509 ADC12 Close

Close the ADC specified by handle.

See also RB8509 ADC12 Open.

Connector Pane

RB8509 ADC12 Close

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8509_ADC12_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Convert

RB8509 ADC12 Convert
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Convert

RB8509 ADC12 Convert

Start an analog to digital conversion.

Connector Pane

RB8509 ADC12 Convert

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Convert ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Convert ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Enable Ext Trigger

RB8509 ADC12 Enable Ext Trigger
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Enable Ext Trigger

RB8509 ADC12 Enable Ext Trigger

Enable or disable external trigger-input.

Connector Pane

RB8509 ADC12 Enable Ext Trigger

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

enable

enable (T) or disable (F) the ADC external trigger input.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Enable_Ext_Trigger ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Enable_Ext_Trigger ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Channel

RB8509 ADC12 Get Channel
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Channel

RB8509 ADC12 Get Channel

Get currently selected channel [0..7].

Connector Pane

RB8509 ADC12 Get Channel

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

channel

the ADC channel [0-7].

Functions

int RB8509_ADC12_Get_Channel ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Channel ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Ext Trigger Level

RB8509 ADC12 Get Ext Trigger Level
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Ext Trigger Level

RB8509 ADC12 Get Ext Trigger Level

The current external trigger level.

Connector Pane

RB8509 ADC12 Get Ext Trigger Level

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

trigger level

high (T), low (F)

Functions

int RB8509_ADC12_Get_Ext_Trigger_Level ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Ext_Trigger_Level ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Gain

RB8509 ADC12 Get Gain
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Gain

RB8509 ADC12 Get Gain

Get currently selected gain [1,2,4,8].

Connector Pane

RB8509 ADC12 Get Gain

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

gain

the ADC gain [1,2,4,8].

Functions

int RB8509_ADC12_Get_Gain ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Gain ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:14 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Value

RB8509 ADC12 Get Value
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Value

RB8509 ADC12 Get Value

Issue software trigger and return conversion value, may return 1 on timeout

OR

Wait for external trigger and return conversion value.

Connector Pane

RB8509 ADC12 Get Value

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

value

the ADC conversion result.

Functions

int RB8509_ADC12_Get_Value ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Value ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Voltage

RB8509 ADC12 Get Voltage
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Voltage

RB8509 ADC12 Get Voltage

Issue software trigger and return input-voltage measured, may return 1 on timeout;

OR

Wait for external trigger and return input-voltage measured.

Connector Pane

RB8509 ADC12 Get Voltage

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltage [V]

the ADC input voltage in [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Get_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Get Voltperbit

RB8509 ADC12 Get Voltperbit
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Get Voltperbit

RB8509 ADC12 Get Voltperbit

The ADC's input sensitivity configuration.

Connector Pane

RB8509 ADC12 Get Voltperbit

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltperbit

the ADC volt-per-bit value [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Get_Voltperbit ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Get_Voltperbit ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Open

RB8509 ADC12 Open
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Open

RB8509 ADC12 Open

Open a RB8509 12-bit ADC by its name.

See also RB8509 ADC12 Close.

Connector Pane

RB8509 ADC12 Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this ADC.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new ADC.

Functions

int RB8509_ADC12_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Set Channel

RB8509 ADC12 Set Channel
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Set Channel

RB8509 ADC12 Set Channel

Select channel [0..7].

Connector Pane

RB8509 ADC12 Set Channel

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

ADC channel to select [0-7]

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Set_Channel ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Set_Channel ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 Set Gain

RB8509 ADC12 Set Gain
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 Set Gain

RB8509 ADC12 Set Gain

Select gain [1,2,4,8].

Connector Pane

RB8509 ADC12 Set Gain

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

gain

the ADC gain to select [1,2,4,8]

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8509_ADC12_Set_Gain ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_Set_Gain ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 TEST

RB8509 ADC12 TEST
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 TEST

RB8509 ADC12 TEST

This VI can be used to:

- verify the RB8509 VIs and the Rulbus Device Library functions

- verify the working of the RB8509 8-channel 12-bit ADC Rulbus Module

Connector Pane

RB8509 ADC12 TEST

Controls and Indicators

cstr

name

the name of this ADC.

ci32

channel in

the ADC channel to use.

ci32

gain in

the ADC gain to use

cbool

enable

enable (T) or disable (F) ADC external trigger input.

ii32

handle

is a handle (number) to the new ADC object.

ii32

channel out

the current ADC channel

ii32

gain out

the current ADC gain.

ibool

enabled

the ADC external trigger input is enabled (T), disabled (F)

ibool

bipolar

the ADC is bipolar (T), unipolar (F)

isgl

voltperbit

the ADC volt-per-bit value [V].

isgl

voltage

the ADC output voltage in [V].

ii32

value

the ADC conversion result

Functions

int RB8509_ADC12_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 isBipolar

RB8509 ADC12 isBipolar
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 isBipolar

RB8509 ADC12 isBipolar

True if ADC has bipolar configuration.

Connector Pane

RB8509 ADC12 isBipolar

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

bipolar

the ADC is bipolar (T), unipolar (F)

Functions

int RB8509_ADC12_isBipolar ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_isBipolar ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 isEnabled Ext Trigger

RB8509 ADC12 isEnabled Ext Trigger
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 isEnabled Ext Trigger

RB8509 ADC12 isEnabled Ext Trigger

True if external trigger-input is enabled.

Connector Pane

RB8509 ADC12 isEnabled Ext Trigger

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

enabled

the ADC external trigger input is enabled (T), disabled (F).

Functions

int RB8509_ADC12_isEnabled_Ext_Trigger ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_isEnabled_Ext_Trigger ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8509 ADC12 isReady

RB8509 ADC12 isReady
[RB8509 ADC12 Contents]

Detailed Description

RB8509 ADC12 isReady

RB8509 ADC12 isReady

True if result is available; flag is reset by reading result.

Connector Pane

RB8509 ADC12 isReady

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

ready

conversion ready (T), not-ready (F)

Functions

int RB8509_ADC12_isReady ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8509_ADC12_isReady ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Contents

RB8510 DAC12 Contents
[Reference Manual]

Detailed Description

RB8510 DAC12 Contents

RB8510 DAC12 Contents

RB8510 -- dual 12-bit DAC

Purpose

Generate a unipolar or bipolar voltage.

Description

Module RB8510 is a dual 12-bit Digital to Analog Converter. It contains two 12-bit Digital to Analog Converters (DACs), each connecting to a BNC connector on the front panel. There are no inputs.

Configuration

At production time, each DAC is configured for unipolar or bipolar operation and its output voltage range is defined as 5, 10 or 20V.

The following table shows the volt-per-bit values for the various output voltage ranges.

Voltage range | volt-per-bit bipolar

----------------------+--------------------------

0 .. 5.11875 V | 1.25 mV 0

0 .. 10.2375 V | 2.5 mV 0

0 .. 20.475 V | 5 mV 0

-5.12 .. 5.1175 V | 2.5 mV 1

-10.24 .. 10.235 V | 5 mV 1

For each channel of the DAC module, a separate entry must be made in the Rulbus configuration file.

Default configuration

rb8510_dac12 "name"

{

address = 0xD0,

bipolar = true,

volt_per_bit = 5e-3

}

When the Rulbus configuration file is read, DAC-outputs are set to 0 Volt.

Connector Pane

RB8510 DAC12 Contents

Controls and Indicators

Modules

RB8510 DAC12 Close
close the 12-bit DAC specified by handle.

RB8510 DAC12 Get Value
get the current DAC register code.

RB8510 DAC12 Get Voltage
get the current DAC output voltage.

RB8510 DAC12 Get Voltperbit
the DAC's output sensitivity configuration.

RB8510 DAC12 Open
open a 12-bit DAC.

RB8510 DAC12 Set Value
set the DAC-register to the specified value.

RB8510 DAC12 Set Voltage
set the DAC output voltage.

RB8510 DAC12 TEST
test the DAC VIs and physical DAC module.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Close

RB8510 DAC12 Close
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Close

RB8510 DAC12 Close

Close the DAC specified by handle.

See also RB8510 DAC12 Open.

Connector Pane

RB8510 DAC12 Close

Controls and Indicators

ci32

handle

is a handle to the DAC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8510_DAC12_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Get Value

RB8510 DAC12 Get Value
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Get Value

RB8510 DAC12 Get Value

This VI provides the current DAC-register code.

Connector Pane

RB8510 DAC12 Get Value

Controls and Indicators

ci32

handle

is a handle to the DAC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DAC.

ii32

code

the current DAC-register value

Functions

int RB8510_DAC12_Get_Value ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Get_Value ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Get Voltage

RB8510 DAC12 Get Voltage
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Get Voltage

RB8510 DAC12 Get Voltage

This VI provides the current output voltage for the DAC specified by handle.

Connector Pane

RB8510 DAC12 Get Voltage

Controls and Indicators

ci32

handle

is a handle to the DAC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltage

the DAC output voltage in [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DAC.

Functions

int RB8510_DAC12_Get_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Get_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Get Voltperbit

RB8510 DAC12 Get Voltperbit
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Get Voltperbit

RB8510 DAC12 Get Voltperbit

The DAC's input sensitivity configuration.

Connector Pane

RB8510 DAC12 Get Voltperbit

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltperbit

the ADC volt-per-bit value [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8510_DAC12_Get_Voltperbit ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Get_Voltperbit ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Open

RB8510 DAC12 Open
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Open

RB8510 DAC12 Open

Open a RB8510 12-bit DAC by its name.

See also RB8510 DAC12 Close.

Connector Pane

RB8510 DAC12 Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this DAC.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new DAC.

Functions

int RB8510_DAC12_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Set Value

RB8510 DAC12 Set Value
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Set Value

RB8510 DAC12 Set Value

This VI sets the DAC-register of the 12-bit DAC specified by handle to the specified code.

Connector Pane

RB8510 DAC12 Set Value

Controls and Indicators

ci32

handle

is a handle to the DAC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

code

is the new value to set the DAC-register to.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DAC.

Functions

int RB8510_DAC12_Set_Value ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Set_Value ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 Set Voltage

RB8510 DAC12 Set Voltage
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 Set Voltage

RB8510 DAC12 Set Voltage

This VI sets the output voltage for the 12-bit DAC specified by handle.

Connector Pane

RB8510 DAC12 Set Voltage

Controls and Indicators

csgl

voltage (0V)

is the new voltage to set the DAC output to in [V]. See also RB8510 DAC12 Open.

ci32

handle

is a handle to the DAC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DAC.

Functions

int RB8510_DAC12_Set_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_Set_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8510 DAC12 TEST

RB8510 DAC12 TEST
[RB8510 DAC12 Contents]

Detailed Description

RB8510 DAC12 TEST

RB8510 DAC12 TEST

This VI can be used to:

- verify the RB8510 VIs and the Rulbus Device Library functions

- verify the working of the RB8510 dual 12-bit DAC Rulbus Module

Connector Pane

RB8510 DAC12 TEST

Controls and Indicators

csgl

voltage (0V)

is the new DAC output voltage in [V].

See also RB8510 DAC12 Open.

cstr

name

the name of this DAC.

ii32

handle

is a handle (number) to the new DAC object.

isgl

voltage

the DAC output voltage in [V].

See also RB8510 DAC12 Open.

ii32

code

is the current DAC-register value.

ii32

code hex

is the current DAC-register value.

Functions

int RB8510_DAC12_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8510_DAC12_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Contents

RB8513 TIMEBASE Contents
[Reference Manual]

Detailed Description

RB8513 TIMEBASE Contents

RB8513 TIMEBASE Contents

RB8513 -- Timebase

Purpose

Generate short pulses with a programmable interval time.

Description

Module RB8513 is a clock signal generator with a programmable interval time. It has a TTL trigger input and a TTL clock output.

The module can generate a clock signal with the following interval times.

50 ns, 100 ns, 200 ns, 500 ns, 1-99 us, step 1 us, 0.1-9.9 ms, step 100 us, 10-990 ms, step 10 ms.

Configuration

The RB8513 timebase module has no properties that are configured at production time.

Default configuration

rb8513_timebase "name" { address = 0xB0 }

When the Rulbus configuration file is read, the timebase interval time is set to 1 us.

Connector Pane

RB8513 TIMEBASE Contents

Controls and Indicators

Modules

RB8513 TIMEBASE Close
close a timebase.

RB8513 TIMEBASE Get Interval Time
get the current interval time in s.

RB8513 TIMEBASE Open
open a timebase.

RB8513 TIMEBASE Set Interval Time
set set interval time to 50 ns, 100 ns, 200 ns, 500 ns, 1..99 us, 0.1..9.9 ms, 10..990 ms.

RB8513 TIMEBASE Stop
stop the generation of pulses.

RB8513 TIMEBASE TEST
test the timebase VIs and physical timebase module.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Close

RB8513 TIMEBASE Close
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE Close

RB8513 TIMEBASE Close

close the TIMEBASE specified by handle.

See also RB8513 TIMEBASE Open.

Connector Pane

RB8513 TIMEBASE Close

Controls and Indicators

ci32

handle

is a handle to the TIMEBASE.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8513_TIMEBASE_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Get Interval Time

RB8513 TIMEBASE Get Interval Time
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE Get Interval Time

RB8513 TIMEBASE Get Interval Time

This VI provides the current interval time for the TIMEBASE specified by handle.

Connector Pane

RB8513 TIMEBASE Get Interval Time

Controls and Indicators

ci32

handle

is a handle to the TIMEBASE.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

interval time [s]

the TIMEBASE interval time in [s].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the TIMEBASE.

Functions

int RB8513_TIMEBASE_Get_Interval_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_Get_Interval_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Open

RB8513 TIMEBASE Open
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE Open

RB8513 TIMEBASE Open

Open a RB8513 TIMEBASE by its name.

See also RB8513 TIMEBASE Close.

Connector Pane

RB8513 TIMEBASE Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this CLOCK.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new TIMEBASE.

Functions

int RB8513_TIMEBASE_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Set Interval Time

RB8513 TIMEBASE Set Interval Time
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE Set Interval Time

RB8513 TIMEBASE Set Interval Time

This VI sets the interval time for the TIMEBASE specified by handle.

Connector Pane

RB8513 TIMEBASE Set Interval Time

Controls and Indicators

csgl

interval time (1us)

the new timebase interval time: 50 ns, 100 ns, 200 ns, 500 ns, 1..99 us, 0.1..9.9 ms, 10..990 ms.

ci32

handle

is a handle to the TIMEBASE.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the TIMEBASE.

Functions

int RB8513_TIMEBASE_Set_Interval_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_Set_Interval_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:15 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE Stop

RB8513 TIMEBASE Stop
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE Stop

RB8513 TIMEBASE Stop

This VI stops the generation of pulses of the TIMEBASE specified by handle.

Connector Pane

RB8513 TIMEBASE Stop

Controls and Indicators

ci32

handle

is a handle to the TIMEBASE.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the TIMEBASE.

Functions

int RB8513_TIMEBASE_Stop ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_Stop ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8513 TIMEBASE TEST

RB8513 TIMEBASE TEST
[RB8513 TIMEBASE Contents]

Detailed Description

RB8513 TIMEBASE TEST

RB8513 TIMEBASE TEST

This VI can be used to:

- verify the RB8513 VIs and the Rulbus Device Library functions

- verify the working of the RB8513 TIMEBASE Rulbus Module

Connector Pane

RB8513 TIMEBASE TEST

Controls and Indicators

cstr

name

the name of this TIMEBASE.

csgl

interval time (1us)

the TIMEBASE interval time in [s].

isgl

interval time

the TIMEBASE interval time in [s].

ii32

handle

is a handle (number) to the new TIMEBASE object.

Functions

int RB8513_TIMEBASE_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8513_TIMEBASE_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Contents

RB8514 DELAY Contents
[Reference Manual]

Detailed Description

RB8514 DELAY Contents

RB8514 DELAY Contents

RB8514 -- Delay

Purpose

Generate a programmable time delay.

Description

Module RB8515 is a programmable delay time generator.

It has a clock input, a trigger input, two delay outputs, a gate and a gate-not output, and a Rulbus interrupt output.

The delay is made with a 24-bit down counter that counts a programmable number of clock-pulses, when started by a trigger-pulse on the trigger input. See setClockFrequency(), setInitialDelayTime(), setDelayTime(), setDelayCount(), isBusy().

The trigger input can be made positive or negative edge sensitive. Besides triggering the delay with the trigger-input, it is also possible to trigger the delay with a software command. See setSignalDirection() and trigger().

Each of the two delay outputs (1 and 2) can be programmed to generate a short pulse (15 ns) at the start of the delay, at the end of it, both or to generate no pulse at all. See enableSignal().

The level of the start- and end-pulses of output 1 and 2 can be made positive or negative. The restriction is that both outputs have the same polarity for the same pulse. See setSignalDirection().

An additional restriction with negative pulses is, that only the start- or the end-pulse may be enabled on an output.

The gate and gate-not outputs generate a pulse from the start of the delay time upto the end of it. The gate-output is active high, the gate-not output is active low.

Configuration

The RB8514 delay module has no attributes that are configured at production time.

Default configuration

rb8515_delay "name" { address = 0xC4 }

When the Rulbus configuration file is read, delay modules are initialized as follows:

- clock frequency 1 Hz

- delay time 1 s

- all signals positive

- start and stop pulses enabled

Connector Pane

RB8514 DELAY Contents

Controls and Indicators

Modules

RB8514 DELAY Close
close the delay module specified by handle.

RB8514 DELAY Enable Signal
enable specified signal.

RB8514 DELAY Get Clock Frequency
get the current clock frequency setting.

RB8514 DELAY Get Delay Count
get the current delay count setting.

RB8514 DELAY Get Delay Time
get the current delay time setting [s].

RB8514 DELAY Get Intrinsic Delay Time
get the delay's intrinsic delay time [s]

RB8514 DELAY Get Signal Direction
the current signal direction

RB8514 DELAY IsBusy
true if the module is timing a delay.

RB8514 DELAY IsEnabled Signal
true if specified signal is enabled.

RB8514 DELAY Open
open a time delay module.

RB8514 DELAY Set Clock Frequency
set the module's clock frequency.

RB8514 DELAY Set Delay Count
set the module's delay count.

RB8514 DELAY Set Delay Time
set the module's delay time [s].

RB8514 DELAY Set Intrinsic Delay Time
set the module's intrinsic delay [s].

RB8514 DELAY Set Signal Direction
set signal direction positive, negative or inverse

RB8514 DELAY TEST
test the delay module VIs and physical delay module.

RB8514 DELAY Trigger
start timing a delay (software trigger).

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Close

RB8514 DELAY Close
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Close

RB8514 DELAY Close

close the DELAY specified by handle.

See also RB8514 DELAY Open.

Connector Pane

RB8514 DELAY Close

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8514_DELAY_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Enable Signal

RB8514 DELAY Enable Signal
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Enable Signal

RB8514 DELAY Enable Signal

Enable specified signal.

Connector Pane

RB8514 DELAY Enable Signal

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cenum

signal

The signal to enable.

cbool

enable (F)

enable (T) or disable (F) specified signal

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Enable_Signal ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Enable_Signal ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Get Clock Frequency

RB8514 DELAY Get Clock Frequency
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Get Clock Frequency

RB8514 DELAY Get Clock Frequency

Get the current clock frequency.

Connector Pane

RB8514 DELAY Get Clock Frequency

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

frequency

the DELAY clock input frequency in [Hz].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Get_Clock_Frequency ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Get_Clock_Frequency ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Get Delay Count

RB8514 DELAY Get Delay Count
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Get Delay Count

RB8514 DELAY Get Delay Count

Get the current delay count.

Connector Pane

RB8514 DELAY Get Delay Count

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

ii32

count

the current delay count setting.

Functions

int RB8514_DELAY_Get_Delay_Count ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Get_Delay_Count ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Get Delay Time

RB8514 DELAY Get Delay Time
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Get Delay Time

RB8514 DELAY Get Delay Time

Get the current delay time.

Connector Pane

RB8514 DELAY Get Delay Time

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

time

the DELAY delay time in [s].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Get_Delay_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Get_Delay_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Get Intrinsic Delay Time

RB8514 DELAY Get Intrinsic Delay Time
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Get Intrinsic Delay Time

RB8514 DELAY Get Intrinsic Delay Time

Get the current intrinsic delay time (the time subtracted from requested delay time).

Connector Pane

RB8514 DELAY Get Intrinsic Delay Time

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

time

the DELAY intrinsic delay time in [s].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Get_Intrinsic_Delay_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Get_Intrinsic_Delay_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Get Signal Direction

RB8514 DELAY Get Signal Direction
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Get Signal Direction

RB8514 DELAY Get Signal Direction

The current signal direction: signal in [t s1 s2 e1 e2], result: [p n].

Connector Pane

RB8514 DELAY Get Signal Direction

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cenum

signal

The signal to enable.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

ienum

direction

The signal to enable.

Functions

int RB8514_DELAY_Get_Signal_Direction ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Get_Signal_Direction ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY IsBusy

RB8514 DELAY IsBusy
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY IsBusy

RB8514 DELAY IsBusy

True if timing a delay.

Connector Pane

RB8514 DELAY IsBusy

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

ibool

busy

true if timing a delay.

Functions

int RB8514_DELAY_IsBusy ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_IsBusy ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY IsEnabled Signal

RB8514 DELAY IsEnabled Signal
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY IsEnabled Signal

RB8514 DELAY IsEnabled Signal

The current signal enable-state.

Connector Pane

RB8514 DELAY IsEnabled Signal

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cenum

signal

the signal to check.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

ibool

enabled

true if specified signal is enabled.

Functions

int RB8514_DELAY_IsEnabled_Signal ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_IsEnabled_Signal ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Open

RB8514 DELAY Open
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Open

RB8514 DELAY Open

Open a RB8514 DELAY by its name.

See also RB8514 DELAY Close.

Connector Pane

RB8514 DELAY Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this DELAY.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new DELAY

Functions

int RB8514_DELAY_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Set Clock Frequency

RB8514 DELAY Set Clock Frequency
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Set Clock Frequency

RB8514 DELAY Set Clock Frequency

Set clock frequency.

Connector Pane

RB8514 DELAY Set Clock Frequency

Controls and Indicators

csgl

frequency (0Hz)

the new clock frequency in Hz.

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Set_Clock_Frequency ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Set_Clock_Frequency ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Set Delay Count

RB8514 DELAY Set Delay Count
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Set Delay Count

RB8514 DELAY Set Delay Count

Set new delay count.

Connector Pane

RB8514 DELAY Set Delay Count

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

count (0)

the new delay count setting.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Set_Delay_Count ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Set_Delay_Count ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Set Delay Time

RB8514 DELAY Set Delay Time
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Set Delay Time

RB8514 DELAY Set Delay Time

Set new delay time.

Connector Pane

RB8514 DELAY Set Delay Time

Controls and Indicators

csgl

time (0 s)

the new delay time in [s].

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Set_Delay_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Set_Delay_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Set Intrinsic Delay Time

RB8514 DELAY Set Intrinsic Delay Time
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Set Intrinsic Delay Time

RB8514 DELAY Set Intrinsic Delay Time

Set intrinsic delay time (will be subtracted from requested delay time).

Connector Pane

RB8514 DELAY Set Intrinsic Delay Time

Controls and Indicators

csgl

time (0 s)

the new intrinsic delay time in [s].

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Set_Intrinsic_Delay_Time ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Set_Intrinsic_Delay_Time ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Set Signal Direction

RB8514 DELAY Set Signal Direction
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Set Signal Direction

RB8514 DELAY Set Signal Direction

Set signal direction positive, negative or inverse; signal in [t, s1, s2, e1, e2].

Connector Pane

RB8514 DELAY Set Signal Direction

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cenum

signal

The signal to enable.

cenum

direction

The signal to enable.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Set_Signal_Direction ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Set_Signal_Direction ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY TEST

RB8514 DELAY TEST
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY TEST

RB8514 DELAY TEST

This VI can be used to:

- verify the RB8514 VIs and the Rulbus Device Library functions

- verify the working of the RB8514 DELAY Rulbus Module

Connector Pane

RB8514 DELAY TEST

Controls and Indicators

cstr

name

the name of this DELAY.

csgl

frequency (0Hz)

the DELAY clock input frequency in [Hz].

csgl

time (0 s)

the new delay time in [s].

isgl

frequency

the DELAY clock input frequency in [Hz].

ii32

handle

is a handle (number) to the new DELAY object.

Functions

int RB8514_DELAY_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8514 DELAY Trigger

RB8514 DELAY Trigger
[RB8514 DELAY Contents]

Detailed Description

RB8514 DELAY Trigger

RB8514 DELAY Trigger

Software trigger: start delay.

Connector Pane

RB8514 DELAY Trigger

Controls and Indicators

ci32

handle

is a handle to the DELAY.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the DELAY.

Functions

int RB8514_DELAY_Trigger ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8514_DELAY_Trigger ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK Contents

RB8515 CLOCK Contents
[Reference Manual]

Detailed Description

RB8515 CLOCK Contents

RB8515 CLOCK Contents

RB8515 -- Clock for Delay

Purpose

Generate a clock signal for the time delay module RB8514.

Description

Module RB8515 is a clock signal generator for time delay module RB8514.

It provides fixed frequency outputs and clock outputs with programmable frequency output with programmable frequency via SMB connectors on the front panel. The module can also generate a Rulbus interrupt with a programmable frequency, but it is not made available by this driver. There are no inputs.

The following front-panel variations of this module exist:

- seven identical outputs with programmable frequency

- four different fixed-frequency output and three identical outputs with programmable frequency

The following frequencies are available.

Fixed frequencies: 100 kHz, 1 MHz, 10 MHz and 100 MHz

Programmable frequencies: 0 Hz (disabled), 100 Hz, 1 kHz, 10 kHz, 100 kHz, 1 MHz, 10 MHz and 100 MHz.

Configuration

The RB8515 clock module has no properties that are configured at production time.

Default configuration

rb8515_clock "name" { address = 0xC8 }

When the Rulbus configuration file is read, the programmable clock outputs are set to 1 kHz.

Connector Pane

RB8515 CLOCK Contents

Controls and Indicators

Modules

RB8515 CLOCK Close
close the clock specified by handle.

RB8515 CLOCK Get Frequency
get the current clock frequency.

RB8515 CLOCK Open
open a clock.

RB8515 CLOCK Set Frequency
set the clock frequency.

RB8515 CLOCK TEST
test the CLOCK VIs and physical CLOCK module.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK Close

RB8515 CLOCK Close
[RB8515 CLOCK Contents]

Detailed Description

RB8515 CLOCK Close

RB8515 CLOCK Close

close the CLOCK specified by handle.

See also RB8515 CLOCK Open.

Connector Pane

RB8515 CLOCK Close

Controls and Indicators

ci32

handle

is a handle to the CLOCK.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8515_CLOCK_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8515_CLOCK_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK Get Frequency

RB8515 CLOCK Get Frequency
[RB8515 CLOCK Contents]

Detailed Description

RB8515 CLOCK Get Frequency

RB8515 CLOCK Get Frequency

This VI provides the current output frequency for the CLOCK specified by handle.

Connector Pane

RB8515 CLOCK Get Frequency

Controls and Indicators

ci32

handle

is a handle to the CLOCK.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

frequency

the CLOCK output frequency in [Hz].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the CLOCK.

Functions

int RB8515_CLOCK_Get_Frequency ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8515_CLOCK_Get_Frequency ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK Open

RB8515 CLOCK Open
[RB8515 CLOCK Contents]

Detailed Description

RB8515 CLOCK Open

RB8515 CLOCK Open

Open a RB8515 CLOCK by its name.

See also RB8515 CLOCK Close.

Connector Pane

RB8515 CLOCK Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this CLOCK.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new CLOCK.

Functions

int RB8515_CLOCK_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8515_CLOCK_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:16 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK Set Frequency

RB8515 CLOCK Set Frequency
[RB8515 CLOCK Contents]

Detailed Description

RB8515 CLOCK Set Frequency

RB8515 CLOCK Set Frequency

This VI sets the output frequency for the CLOCK specified by handle.

Connector Pane

RB8515 CLOCK Set Frequency

Controls and Indicators

csgl

frequency (0Hz)

the new clock frequency in Hz.

ci32

handle

is a handle to the CLOCK.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the CLOCK.

Functions

int RB8515_CLOCK_Set_Frequency ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8515_CLOCK_Set_Frequency ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8515 CLOCK TEST

RB8515 CLOCK TEST
[RB8515 CLOCK Contents]

Detailed Description

RB8515 CLOCK TEST

RB8515 CLOCK TEST

This VI can be used to:

- verify the RB8515 VIs and the Rulbus Device Library functions

- verify the working of the RB8515 CLOCK Rulbus Module

Connector Pane

RB8515 CLOCK TEST

Controls and Indicators

cstr

name

the name of this CLOCK.

csgl

frequency (0Hz)

the CLOCK output frequency in [Hz].

isgl

frequency

the CLOCK output frequency in [Hz].

ii32

handle

is a handle (number) to the new CLOCK object.

Functions

int RB8515_CLOCK_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8515_CLOCK_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Contents

RB8905 ADC12 Contents
[Reference Manual]

Detailed Description

RB8905 ADC12 Contents

RB8905 ADC12 Contents

RB8905 -- High Speed 12-bit ADC with 32kByte Buffer

Purpose

Measure a voltage trace.

Description

Module RB8905 is a 1 Mega-sample per second 12-bit analog to digital converter with a 32 kByte on-board data buffer.

The module has a single analog input and a clock input to do a series of data acquisitions. The number of samples to store on-board is programmable.

Module RB8905 contains the following parts:

- a track and hold

- a 12-bit ADC

- an address counter

- a 32 kByte on-board data buffer

The ADC can be programmed for bipolar or unipolar use. The input voltage span of the ADC is configured at production time for 10 V or 20 V.

The analog to digital converter IC is an ADC601 manufactured by Burr-Brown. This 12-bit ADC normally converts samples at a rate of 1 Ms/s (900 ns), but it also can convert at a rate of 2 Ms/s (400 ns). In the latter case, only eight bits are determined and this mode of operation is called short-cycle mode (fast mode, 8-bit result).

The number of samples to store on-board can be specified in one of two ways (normal conversion mode assumed):

1. 1--128 samples: specified by JMP3 on the module's board

2. 256--16384 samples: specified programmatically

The number of samples to store on-board can be specified with VI RB8905 ADC12 Set Capacity. Specifiying zero for the number of samples, or capacity, selects the JMP3 setting. For 256 and more samples, the number of samples is a power of two: 256, 512, 1024 etc.

Configuration

At production time, the ADC is configured for an input voltage range of 10 V or 20 V.

The following table shows the volt-per-bit values for the various input voltage spans.

Voltage span | volt-per-bit bipolar

---------------+--------------------------

0 .. 10 V | 2.442002 mV no

-5 .. 5 V | 2.442002 mV yes

-10 .. 10 V | 4.884004 mV yes

Note that when the ADC's fast conversion mode (8-bit result) is used, the input voltage span is reduced with a factor of 16 (2^4). See RB8905 ADC12 Get Min Input Voltage and RB8905 ADC12 Get Max Input Voltage.

Default configuration

rb8905_adc12 "name"

{

address = 0xBC

volt_per_bit = 2.442002 m

}

When the Rulbus configuration file is read, an ADC is configured as follows:

- normal conversion mode

- bipolar mode

- 256 samples

-Rulbus interrupt disabled

Connector Pane

RB8905 ADC12 Contents

Controls and Indicators

Modules

RB8905 ADC12 Arm
arm ADC for data-acquisition; a sample is taken each clock-pulse.

RB8905 ADC12 Close
close the ADC specified by handle.

RB8905 ADC12 Get Capacity
get the number of samples to acquire in the on-board buffer

RB8905 ADC12 Get Jmp3 Capacity
get the JMP3 setting for the number of samples to acquire in the on-board buffer.

RB8905 ADC12 Get Max Input Voltage
the highest acceptable ADC input voltage; takes mode settings into account.

RB8905 ADC12 Get Min Input Voltage
the lowest acceptable ADC input voltage; takes mode settings into account.

RB8905 ADC12 Get Offset Voltage
the ADC bipolar input voltage offset [V].

RB8905 ADC12 Get Voltage Span
the ADC input voltage span.

RB8905 ADC12 Get Voltperbit
the ADC's input sensitivity configuration.

RB8905 ADC12 Open
open a RB8905 12-bit ADC by its name.

RB8905 ADC12 Read Value
read nelem samples as ADC code.

RB8905 ADC12 Read Voltage
read nelem samples as ADC input voltage.

RB8905 ADC12 Set Capacity
set the number of samples to acquire in the on-board buffer.

RB8905 ADC12 Set Fast Mode
set converter to fast conversion mode or to normal mode.

RB8905 ADC12 Set Unipolar Mode
set converter to unipolar mode or to bipolar mode.

RB8905 ADC12 TEST
test the ADC12 VIs and physical ADC module.

RB8905 ADC12 isFast Mode
true if fast (short-cycle) mode is selected (8-bit data).

RB8905 ADC12 isReady
true if all samples have been measured or if all samples have been read-out.

RB8905 ADC12 isUnipolar Mode
true if unipolar mode is selected.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Arm

RB8905 ADC12 Arm
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Arm

RB8905 ADC12 Arm

Arm ADC for data-acquisition; a sample is taken each clock-pulse.

See also RB8905 ADC12 isReady.

Connector Pane

RB8905 ADC12 Arm

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Arm ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Arm ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Close

RB8905 ADC12 Close
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Close

RB8905 ADC12 Close

Close the ADC specified by handle.

See also RB8905 ADC12 Open.

Connector Pane

RB8905 ADC12 Close

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB8905_ADC12_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Capacity

RB8905 ADC12 Get Capacity
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Capacity

RB8905 ADC12 Get Capacity

Get the number of samples to acquire in the on-board buffer.

Connector Pane

RB8905 ADC12 Get Capacity

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

capacity

the number of samples to store on-board.

Functions

int RB8905_ADC12_Get_Capacity ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Capacity ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Jmp3 Capacity

RB8905 ADC12 Get Jmp3 Capacity
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Jmp3 Capacity

RB8905 ADC12 Get Jmp3 Capacity

Get the JMP3 setting for the number of samples to acquire in the on-board buffer.

Connector Pane

RB8905 ADC12 Get Jmp3 Capacity

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

capacity

the JMP3 setting for the number of samples to store on-board.

Functions

int RB8905_ADC12_Get_Jmp3_Capacity ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Jmp3_Capacity ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Max Input Voltage

RB8905 ADC12 Get Max Input Voltage
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Max Input Voltage

RB8905 ADC12 Get Max Input Voltage

The highest acceptable ADC input voltage; takes mode settings into account.

See also RB8905 ADC12 Get Min Input Voltage

Connector Pane

RB8905 ADC12 Get Max Input Voltage

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

max input voltage [V]

the current maximum input voltage [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Get_Max_Input_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Max_Input_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Min Input Voltage

RB8905 ADC12 Get Min Input Voltage
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Min Input Voltage

RB8905 ADC12 Get Min Input Voltage

The lowest acceptable ADC input voltage; takes mode settings into account.

See also RB8905 ADC12 Get Max Input Voltage

Connector Pane

RB8905 ADC12 Get Min Input Voltage

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

min input voltage [V]

the current minimum input voltage [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Get_Min_Input_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Min_Input_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Offset Voltage

RB8905 ADC12 Get Offset Voltage
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Offset Voltage

RB8905 ADC12 Get Offset Voltage

The current input voltage offset.

See also RB8905 ADC12 Get Voltage Span.

Connector Pane

RB8905 ADC12 Get Offset Voltage

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

offset voltage [V]

the current input voltage offset [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Get_Offset_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Offset_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:17 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Voltage Span

RB8905 ADC12 Get Voltage Span
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Voltage Span

RB8905 ADC12 Get Voltage Span

The ADC input voltage span.

See also RB8905 ADC12 Get Offset Voltage.

Connector Pane

RB8905 ADC12 Get Voltage Span

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltage span [V]

the ADC input voltage span [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Get_Voltage_Span ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Voltage_Span ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Get Voltperbit

RB8905 ADC12 Get Voltperbit
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Get Voltperbit

RB8905 ADC12 Get Voltperbit

The ADC's input sensitivity configuration.

Connector Pane

RB8905 ADC12 Get Voltperbit

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

isgl

voltperbit [V]

the ADC volt-per-bit value [V].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Get_Voltperbit ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Get_Voltperbit ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Open

RB8905 ADC12 Open
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Open

RB8905 ADC12 Open

Open a RB8905 12-bit ADC by its name.

See also RB8905 ADC12 Close.

Connector Pane

RB8905 ADC12 Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this ADC.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new ADC.

Functions

int RB8905_ADC12_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Read Value

RB8905 ADC12 Read Value
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Read Value

RB8905 ADC12 Read Value

Read nelem samples as ADC code.

Connector Pane

RB8905 ADC12 Read Value

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

nelem

number of samples to read.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

nread

number of samples actually read.

i1di16

values

The ADC codes read.

    ii16

Functions

int RB8905_ADC12_Read_Value ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Read_Value ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Read Voltage

RB8905 ADC12 Read Voltage
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Read Voltage

RB8905 ADC12 Read Voltage

Read nelem samples as ADC input voltage.

Connector Pane

RB8905 ADC12 Read Voltage

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

nelem

number of samples to read.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ii32

nread

number of samples actually read.

i1dsgl

voltages [V]

The samples read as ADC input voltages.

    isgl

    a single sample.

Functions

int RB8905_ADC12_Read_Voltage ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Read_Voltage ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Set Capacity

RB8905 ADC12 Set Capacity
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Set Capacity

RB8905 ADC12 Set Capacity

Set the number of samples to store on-board.

Connector Pane

RB8905 ADC12 Set Capacity

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

capacity (jmp3)

the ADC number of samples to store on-board (normal conversion mode assumed): [0 (JMP3 setting of 1..128), or 256..16384].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Set_Capacity ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Set_Capacity ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Set Fast Mode

RB8905 ADC12 Set Fast Mode
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Set Fast Mode

RB8905 ADC12 Set Fast Mode

set converter to fast or short-cycle mode (8-bit data, isfast is true), or set converter to normal mode (12-bit data, isfast is false).

See also RB8905 ADC12 IsFast Mode.

Connector Pane

RB8905 ADC12 Set Fast Mode

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

fast (T)

select fast (T) or normal (F) conversion mode.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Set_Fast_Mode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Set_Fast_Mode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:18 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 Set Unipolar Mode

RB8905 ADC12 Set Unipolar Mode
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 Set Unipolar Mode

RB8905 ADC12 Set Unipolar Mode

Set converter to unipolar mode (unipolar is true), or set converter to bipolar mode (unipolar is false).

See also RB8905 ADC12 IsUnipolar Mode.

Connector Pane

RB8905 ADC12 Set Unipolar Mode

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

unipolar (T)

select unipolar (T), or bipolar (F) conversion mode..

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

Functions

int RB8905_ADC12_Set_Unipolar_Mode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_Set_Unipolar_Mode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 TEST

RB8905 ADC12 TEST
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 TEST

RB8905 ADC12 TEST

This VI can be used to:

- verify the RB8905 VIs and the Rulbus Device Library functions

- verify the working of the RB8905 High Speed 12-bit ADC Rulbus Module

Connector Pane

RB8905 ADC12 TEST

Controls and Indicators

cstr

name

the name of this ADC.

ci32

capacity in

cbool

fast (T)

make converter unipolar (T), or bipolar (F).

cbool

unipolar (T)

make converter unipolar (T), or bipolar (F).

ii32

handle

is a handle (number) to the new ADC object.

ii32

capacity out

the ADC number of samples to store on-board.

ii32

JMP3 capacity out

the ADC number of samples to store on-board.

ibool

fast

unipolar mode (T), bipolar mode (F)

ibool

unipolar

unipolar mode (T), bipolar mode (F)

isgl

voltperbit [V]

the ADC volt-per-bit value [V].

isgl

voltage span [V]

the ADC volt-per-bit value [V].

isgl

offset voltage [V]

the ADC volt-per-bit value [V].

isgl

min input voltage [V]

the ADC volt-per-bit value [V].

isgl

max input voltage [V]

the ADC volt-per-bit value [V].

ii32

nread value

number of samples actually read.

i1di16

values

The ADC codes read.

    ii16

ii32

nread voltage

number of samples actually read.

i1dsgl

voltages [V]

The samples read as ADC input voltages.

    isgl

Functions

int RB8905_ADC12_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 isFast Mode

RB8905 ADC12 isFast Mode
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 isFast Mode

RB8905 ADC12 isFast Mode

True if fast (short-cycle) mode is selected (8-bit data).

See also RB8905 ADC12 Set Fast Mode.

Connector Pane

RB8905 ADC12 isFast Mode

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

fast

fast conversion mode (T), normal conversion mode (F).

Functions

int RB8905_ADC12_isFast_Mode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_isFast_Mode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 isReady

RB8905 ADC12 isReady
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 isReady

RB8905 ADC12 isReady

True if all samples have been measured or if all samples have been read-out.

See also RB8905 ADC12 Arm.

Connector Pane

RB8905 ADC12 isReady

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

ready

conversion ready (T), not-ready (F)

Functions

int RB8905_ADC12_isReady ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_isReady ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB8905 ADC12 isUnipolar Mode

RB8905 ADC12 isUnipolar Mode
[RB8905 ADC12 Contents]

Detailed Description

RB8905 ADC12 isUnipolar Mode

RB8905 ADC12 isUnipolar Mode

True if unipolar mode is selected.

See also RB8905 ADC12 Set Unipolar Mode.

Connector Pane

RB8905 ADC12 isUnipolar Mode

Controls and Indicators

ci32

handle

is a handle to the ADC.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the ADC.

ibool

unipolar

unipolar mode (T), bipolar mode (F).

Functions

int RB8905_ADC12_isUnipolar_Mode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB8905_ADC12_isUnipolar_Mode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Contents

RB9005 AMPLIFIER Contents
[Reference Manual]

Detailed Description

RB9005 AMPLIFIER Contents

RB9005 AMPLIFIER Contents

RB9005 -- Programmabe Instrumentation Amplifier-Filter

Purpose

Provide programmable amplifiers and filters to form a data-acquisition system with the high speed 12-bit ADC RB8905.

Description

Module RB9005 is a 4-channel programmable amplifier-filter module.

It has two differential programmable amplifiers followed by a programmable filter, two unbalanced input (single-ended) programmable amplifiers and an ouput multiplexer to present one, two, three or all four inputs in sequence.

1-1-1-1 · 2-1-2-1 · 3-2-1-3 · 4-3-2-1

Further the module has a clock input and two clock outputs that can be programmed to duplicate the clock input or to follow an alternating sequence so that out1 presents a clock signal for the odd channels and out2 presents a clock signal for the even channels in the selected channel sequence. (Apparently this is not very useful for the 3-2-1-3 sequence where channel 3 appears at odd and even positions in the sequence.)

Channel 1 and 2 can have the following gains:

10, 20, 40, 80

100, 200, 400, 800

1000, 2000, 4000, 8000

10000, 20000, 40000, 80000

Channel 1 and 2 can have the following low pass frequencies:

>= 1000, 100, 10, 1, 0.1 kHz

Channel 3 and 4 can have the following gains:

1, 10, 100, 1000

Configuration

The RB9005 amplifier module has no properties that are configured at production time.

Default configuration

rb9005_amplifier "name"

{

address = 0xB3

}

When the Rulbus configuration file is read, an amplifier is configured as follows:

- channel 1 selected

- gain channel 1 and 2 set to 10

- gain channel 3 and 4 set to 1

- low pass frequency channel 1 and 2 set to >= 1 MHz (no filter)

- channel sequence disabled

- clock sequence disabled

Connector Pane

RB9005 AMPLIFIER Contents

Controls and Indicators

Modules

RB9005 AMPLIFIER Close
close an amplifier.

RB9005 AMPLIFIER Get Channel
get the current channel.

RB9005 AMPLIFIER Get Flp
the channel's current low pass frequency (channel 1 & 2 only).

RB9005 AMPLIFIER Get Gain
get the channel's current gain.

RB9005 AMPLIFIER Open
open an amplifier.

RB9005 AMPLIFIER Set ChanSeqMode
enable or disable channel sequencing.

RB9005 AMPLIFIER Set Channel
select the specified channel, or channel sequence.

RB9005 AMPLIFIER Set ClockSeqMode
enable or disable clock sequencing.

RB9005 AMPLIFIER Set Flp
set low pass frequency (channel 1 & 2 only).

RB9005 AMPLIFIER Set Gain
set gain for specified channel.

RB9005 AMPLIFIER TEST
test the amplifier VIs and physical amplifier module.

RB9005 AMPLIFIER isChanSeqMode
true if a channel sequence is active.

RB9005 AMPLIFIER isClockSeqMode
true if a clock sequence is active.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Close

RB9005 AMPLIFIER Close
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Close

RB9005 AMPLIFIER Close

Close the amplifier specified by handle.

See also RB9005 AMPLIFIER Open.

Connector Pane

RB9005 AMPLIFIER Close

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB9005_AMPLIFIER_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Get Channel

RB9005 AMPLIFIER Get Channel
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Get Channel

RB9005 AMPLIFIER Get Channel

Get currently selected channel [1..4].

Connector Pane

RB9005 AMPLIFIER Get Channel

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

ii32

channel

the current channel.

Functions

int RB9005_AMPLIFIER_Get_Channel ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Get_Channel ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Get Flp

RB9005 AMPLIFIER Get Flp
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Get Flp

RB9005 AMPLIFIER Get Flp

Get low pass frequency for specified channel.

Channels 1, 2

>= 1000, 100, 10, 1, 0.1 [kHz]

Channels 3, 4

none

Connector Pane

RB9005 AMPLIFIER Get Flp

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

the amplifier channel at hand [1..4].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

isgl

Flowpass

the current low pass frequency for the specified amplifier channel

Functions

int RB9005_AMPLIFIER_Get_Flp ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Get_Flp ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Get Gain

RB9005 AMPLIFIER Get Gain
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Get Gain

RB9005 AMPLIFIER Get Gain

Get gain for specified channel.

Channels 1, 2

10, 20, 40, 80,

100, 200, 400, 800,

1000, 2000, 4000, 8000,

10000, 20000, 40000, 80000

Channels 3, 4

1, 10, 100, 1000

Connector Pane

RB9005 AMPLIFIER Get Gain

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

the amplifier channel at hand [1..4].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

ii32

gain

the current gain for the specified amplifier channel

Functions

int RB9005_AMPLIFIER_Get_Gain ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Get_Gain ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Open

RB9005 AMPLIFIER Open
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Open

RB9005 AMPLIFIER Open

Open a RB9005 programmable instrumentation amplifier-filter by its name.

See also RB9005 AMPLIFIER Close.

Connector Pane

RB9005 AMPLIFIER Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this amplifier.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new amplifier.

Functions

int RB9005_AMPLIFIER_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Set ChanSeqMode

RB9005 AMPLIFIER Set ChanSeqMode
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Set ChanSeqMode

RB9005 AMPLIFIER Set ChanSeqMode

Set converter to channel sequence output mode (T), or to single channel output mode (F).

The amplifier has two differential programmable amplifiers followed by a programmable filter, two unbalanced input (single-ended) programmable amplifiers and an ouput multiplexer to present one, two, three or all four inputs in sequence.

1-1-1-1 · 2-1-2-1 · 3-2-1-3 · 4-3-2-1

The selected channel determines the output sequence. For example, if channel 3 is selected, the channel output sequence is 3-2-1... .

See also RB9005 AMPLIFIER Set ClockSeqMode.

Connector Pane

RB9005 AMPLIFIER Set ChanSeqMode

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

channel seq mode (T)

select channel sequence (T) or single channel (F) output mode.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

Functions

int RB9005_AMPLIFIER_Set_ChanSeqMode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Set_ChanSeqMode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Set Channel

RB9005 AMPLIFIER Set Channel
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Set Channel

RB9005 AMPLIFIER Set Channel

Select channel [1..4].

Connector Pane

RB9005 AMPLIFIER Set Channel

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

the amplifier channel to select [1..4].

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

Functions

int RB9005_AMPLIFIER_Set_Channel ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Set_Channel ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Set ClockSeqMode

RB9005 AMPLIFIER Set ClockSeqMode
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Set ClockSeqMode

RB9005 AMPLIFIER Set ClockSeqMode

Set converter to alternating (T), or to identical (F) clock output mode.

The amplifier has a clock input and two clock outputs that can be programmed to duplicate the clock input or to follow an alternating sequence so that out1 presents a clock signal for the odd channels and out2 presents a clock signal for the even channels in the selected channel sequence. (Apparently this is not very useful for the 3-2-1-3 sequence where channel 3 appears at odd and even positions in the sequence.)

See also RB9005 AMPLIFIER Set ChannelSeqMode.

Connector Pane

RB9005 AMPLIFIER Set ClockSeqMode

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cbool

clock seq mode (T)

select alternating (T) or identical (F) clock output mode.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

Functions

int RB9005_AMPLIFIER_Set_ClockSeqMode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Set_ClockSeqMode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Set Flp

RB9005 AMPLIFIER Set Flp
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Set Flp

RB9005 AMPLIFIER Set Flp

Select low pass frequency for specified channel.

Channels 1, 2

>= 1000, 100, 10, 1, 0.1 [kHz]

Channels 3, 4

none

Connector Pane

RB9005 AMPLIFIER Set Flp

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

amplifier channel to set low pass frequency for [1,2]

csgl

Flowpass

the low pass frequency for the specified amplifier channel.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

Functions

int RB9005_AMPLIFIER_Set_Flp ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Set_Flp ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER Set Gain

RB9005 AMPLIFIER Set Gain
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER Set Gain

RB9005 AMPLIFIER Set Gain

Select gain for specified channel.

Channels 1, 2

10, 20, 40, 80,

100, 200, 400, 800,

1000, 2000, 4000, 8000,

10000, 20000, 40000, 80000

Channels 3, 4

1, 10, 100, 1000

Connector Pane

RB9005 AMPLIFIER Set Gain

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ci32

channel

amplifier channel to set gain for [1..4].

ci32

gain

gain to set.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

Functions

int RB9005_AMPLIFIER_Set_Gain ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_Set_Gain ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER TEST

RB9005 AMPLIFIER TEST
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER TEST

RB9005 AMPLIFIER TEST

This VI can be used to:

- verify the RB9005 VIs and the Rulbus Device Library functions

- verify the working of the RB9005 Programmabe Instrumentation Amplifier-Filte Module

Connector Pane

RB9005 AMPLIFIER TEST

Controls and Indicators

ci32

channel in

the amplifier channel to select [1..4].

ci32

channel gain in

amplifier channel to select [1-4]

ci32

gain in

ci32

channel gain out

the amplifier channel at hand [1..4].

csgl

Flowpass in

the low pass frequency for the specified amplifier channel.

ci32

channel Flp in

amplifier channel [1,2]

ci32

channel Flp out

the amplifier channel at hand [1..4].

cstr

name

the name of this amplifier.

ii32

channel out

the current channel.

ii32

gain out

the current gain for the specified amplifier channel

isgl

Flowpass out

the current low pass frequency for the specified amplifier channel

ii32

handle

is a handle (number) to the new amplifier.

Functions

int RB9005_AMPLIFIER_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER isChanSeqMode

RB9005 AMPLIFIER isChanSeqMode
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER isChanSeqMode

RB9005 AMPLIFIER isChanSeqMode

True if the amplifier is in channel sequence output mode.

See also RB9005 AMPLIFIER Set ChanSeqMode.

Connector Pane

RB9005 AMPLIFIER isChanSeqMode

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

ibool

channel seq mode

the amplifier is in channel sequence (T), single channel (F) output mode.

Functions

int RB9005_AMPLIFIER_isChanSeqMode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_isChanSeqMode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:19 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9005 AMPLIFIER isClockSeqMode

RB9005 AMPLIFIER isClockSeqMode
[RB9005 AMPLIFIER Contents]

Detailed Description

RB9005 AMPLIFIER isClockSeqMode

RB9005 AMPLIFIER isClockSeqMode

True if the amplifier is in clock sequence mode.

See also RB9005 AMPLIFIER Set ClockSeqMode.

Connector Pane

RB9005 AMPLIFIER isClockSeqMode

Controls and Indicators

ci32

handle

is a handle to the amplifier.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the amplifier.

ibool

clock seq mode

the amplifier is in clock sequence mode (T), single clockl mode (F)

Functions

int RB9005_AMPLIFIER_isClockSeqMode ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9005_AMPLIFIER_isClockSeqMode ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Contents

RB9603 MONOCHROMATOR Contents
[Reference Manual]

Detailed Description

RB9603 MONOCHROMATOR Contents

RB9603 MONOCHROMATOR Contents

RB9603 -- Bausch & Lomb Monochromator Controller

Purpose

Control a Bausch & Lomb monochromator remotely.

Description

The RB9603 Rulbus module enables remote control of a Bausch & Lomb monochromator by driving its nonius with a stepping motor.

The target wavelength can be set manually with Up and Down keys on the Rulbus module and programmatically via the Rulbus computer interface.

The module has a one-line display that shows the target wavelength along with indications if the monochromator is still moving up or down and if the wavelength was set manually or via program control.

Besides setting the wavelength, several properties may be requested from the controller via the computer interface: the target wavelength, the current wavelength, the minimum and maximum wavelengths and the current wavelength as seen by the potentiometer on the stepping motor--potentiometer assembly (see below).

The controller module itself sits in a Rulbus rack. A stepping motor--potentiometer assembly is located on the Bausch & Lomb monochromator to drive it. Via a cable the assembly is connected to the MOTOR connector on the controller.

The potentiometer in the assembly records the absolute position of the monochromator. It is used to calibrate the monochromator wavelength at 500 nm initially and to check the position when a new wavelength has been reached.

Configuration

The minimum wavelength that can be used can be set at production time with jumper CN4 to be 0 nm or 100 nm. Minimum and maximum wavelength may be obtained with RB9603 MONOCHROMATOR MinWavelength and RB9603 MONOCHROMATOR MaxWavelength.

Default configuration

rb9603_monochromator "name" { address = 0xCE }

When the Rulbus configuration file is read, no configuration steps are made with respect to the monochromator Rulbus module.

Connector Pane

RB9603 MONOCHROMATOR Contents

Controls and Indicators

Modules

RB9603 MONOCHROMATOR Close
close a monochromator.

RB9603 MONOCHROMATOR Get ADC Mean Wavelength
get the current wavelength [nm] according to the mean-measured voltage.

RB9603 MONOCHROMATOR Get ADC Wavelength
get the current wavelength [nm] according to the measured voltage.

RB9603 MONOCHROMATOR Get Current Wavelength
get the current wavelength [nm].

RB9603 MONOCHROMATOR Get Max Wavelength
get the highest valid wavelength [nm].

RB9603 MONOCHROMATOR Get Min Wavelength
get the lowest valid wavelength [nm].

RB9603 MONOCHROMATOR Get Target Wavelength
get the target wavelength [nm].

RB9603 MONOCHROMATOR Open
open a monochromator.

RB9603 MONOCHROMATOR Set Wavelength
set target wavelength [nm].

RB9603 MONOCHROMATOR TEST
test the monochromator VIs and physical controller module.

RB9603 MONOCHROMATOR Wait
wait until monochromator is at target wavelength.

RB9603 MONOCHROMATOR isReady
true if monochromator is at target wavelength.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Close

RB9603 MONOCHROMATOR Close
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Close

RB9603 MONOCHROMATOR Close

Close the monochromator specified by handle.

See also RB9603 MONOCHROMATOR Open.

Connector Pane

RB9603 MONOCHROMATOR Close

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Functions

int RB9603_MONOCHROMATOR_Close ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Close ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get ADC Mean Wavelength

RB9603 MONOCHROMATOR Get ADC Mean Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get ADC Mean Wavelength

RB9603 MONOCHROMATOR Get ADC Mean Wavelength

Get the current wavelength according to the mean-measured voltage.

Connector Pane

RB9603 MONOCHROMATOR Get ADC Mean Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

ADC mean wavelength

the current wavelength [nm] according to the mean-measured voltage.

Functions

int RB9603_MONOCHROMATOR_Get_ADC_Mean_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_ADC_Mean_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get ADC Wavelength

RB9603 MONOCHROMATOR Get ADC Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get ADC Wavelength

RB9603 MONOCHROMATOR Get ADC Wavelength

Get the current wavelength according to the measured voltage.

Connector Pane

RB9603 MONOCHROMATOR Get ADC Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

ADC wavelength

the current wavelength [nm] according to the measured voltage.

Functions

int RB9603_MONOCHROMATOR_Get_ADC_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_ADC_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get Current Wavelength

RB9603 MONOCHROMATOR Get Current Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get Current Wavelength

RB9603 MONOCHROMATOR Get Current Wavelength

Get the current wavelength.

Connector Pane

RB9603 MONOCHROMATOR Get Current Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

current wavelength

the current wavelength [nm].

Functions

int RB9603_MONOCHROMATOR_Get_Current_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_Current_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get Max Wavelength

RB9603 MONOCHROMATOR Get Max Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get Max Wavelength

RB9603 MONOCHROMATOR Get Max Wavelength

Get the highest valid wavelength .

Connector Pane

RB9603 MONOCHROMATOR Get Max Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

maximum wavelength

the highest valid wavelength.

Functions

int RB9603_MONOCHROMATOR_Get_Max_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_Max_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get Min Wavelength

RB9603 MONOCHROMATOR Get Min Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get Min Wavelength

RB9603 MONOCHROMATOR Get Min Wavelength

Get the lowest valid wavelength .

Connector Pane

RB9603 MONOCHROMATOR Get Min Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

minimum wavelength

the lowest valid wavelength.

Functions

int RB9603_MONOCHROMATOR_Get_Min_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_Min_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Get Target Wavelength

RB9603 MONOCHROMATOR Get Target Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Get Target Wavelength

RB9603 MONOCHROMATOR Get Target Wavelength

Get the target wavelength.

Connector Pane

RB9603 MONOCHROMATOR Get Target Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

isgl

target wavelength

the target wavelength [nm].

Functions

int RB9603_MONOCHROMATOR_Get_Target_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Get_Target_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Open

RB9603 MONOCHROMATOR Open
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Open

RB9603 MONOCHROMATOR Open

Open a RB9603 monochromator by its name.

See also RB9603 MONOCHROMATOR Close.

Connector Pane

RB9603 MONOCHROMATOR Open

Controls and Indicators

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

cstr

name

the name of this monochromator.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

handle

is a handle (number) to the new monochromator.

Functions

int RB9603_MONOCHROMATOR_Open ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Open ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Set Wavelength

RB9603 MONOCHROMATOR Set Wavelength
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Set Wavelength

RB9603 MONOCHROMATOR Set Wavelength

Set the monochromator target wavelength and optionally wait for it to arrive there.

Connector Pane

RB9603 MONOCHROMATOR Set Wavelength

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

csgl

wavelength

the monochromator target wavelength [nm].

cbool

and_wait (T)

wait for monochromator to arrive at target wavelength.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

Functions

int RB9603_MONOCHROMATOR_Set_Wavelength ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Set_Wavelength ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR TEST

RB9603 MONOCHROMATOR TEST
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR TEST

RB9603 MONOCHROMATOR TEST

This VI can be used to:

- verify the RB9603 VIs and the Rulbus Device Library functions

- verify the working of the RB9603 Monochromator Rulbus Module

Connector Pane

RB9603 MONOCHROMATOR TEST

Controls and Indicators

cstr

name

the name of this monochromator.

csgl

wavelength

the monochromator target wavelength.

cbool

and_wait (T)

wait for monochromator to arrive at target wavelength.

ii32

handle

is a handle (number) to the new monochromator.

isgl

current wavelength

the current wavelength [nm].

isgl

maximum wavelength

the highest valid wavelength.

isgl

minimum wavelength

the lowest valid wavelength.

ibool

isReady

the monochromator is at the target wavelength (T), or it is still moving (F).

isgl

target wavelength

the target wavelength [nm].

isgl

ADC wavelength

the current wavelength [nm] according to the measured voltage.

isgl

ADC mean wavelength

the current wavelength [nm] according to the mean-measured voltage.

Functions

int RB9603_MONOCHROMATOR_TEST ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_TEST ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR Wait

RB9603 MONOCHROMATOR Wait
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR Wait

RB9603 MONOCHROMATOR Wait

Wait for the monochromator to arrive at the target wavelength.

See also RB9603 MONOCHROMATOR isReady.

Connector Pane

RB9603 MONOCHROMATOR Wait

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

Functions

int RB9603_MONOCHROMATOR_Wait ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_Wait ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: RB9603 MONOCHROMATOR isReady

RB9603 MONOCHROMATOR isReady
[RB9603 MONOCHROMATOR Contents]

Detailed Description

RB9603 MONOCHROMATOR isReady

RB9603 MONOCHROMATOR isReady

True if the monochromator is at the target wavelength.

See also RB9603 MONOCHROMATOR Wait.

Connector Pane

RB9603 MONOCHROMATOR isReady

Controls and Indicators

ci32

handle

is a handle to the monochromator.

cclst

error in (no error)

The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cbool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ci32

            code

    The code input identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    cstr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

iclst

error out

The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ibool

            status

    The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    ii32

            code

    The code numeric identifies the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

    istr

            source

    The source string describes the origin of the error or warning.

    The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

ii32

dup handle

is a duplicate of the handle to the monochromator.

ibool

isReady

the monochromator is at the target wavelength (T), or it is still moving (F).

Functions

int RB9603_MONOCHROMATOR_isReady ()
dummy C-definition to enable doxygen to generate proper index entry for the click here for more help in LabVIEW.

Function Documentation

int RB9603_MONOCHROMATOR_isReady ( )

The VI is mentioned here as a C-function so that the proper index entry is generated for the click here for more help in LabVIEW.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Developer Manual

Developer Manual

Detailed Description

The Rulbus LabVIEW Library contains two groups of VIs:
  • general library VIs, like Error
  • Rulbus module related VIs, for example RB8510 DAC12 Open

When you want to develop VIs for a Rulbus module, please read From LabVIEW to DLL, Developing the VI Interface and Developing the VI Implementation.

When you want to study the implementation of a specific Rulbus module, open its Contents VI in the library overall Contents VI and open the front-panels and diagrams of the VIs you are interested in.

Modules

From LabVIEW to DLL
call library function -- cdecl calling convention -- C-function prototypes.

Developing the VI Interface
front-panel -- icon -- connector -- parameters -- error handling -- documentation.

Developing the VI Implementation
wiring-diagram -- error handling -- example.

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: From LabVIEW to DLL

From LabVIEW to DLL
[Developer Manual]

The VIs for the Rulbus modules build on the C-functions of the Rulbus Device Library dynamic-link library (DLL). The VIs correspond one-to-one to these C-functions and in many cases they are a direct translation of them with the addition of error handling.

The Call Library Function node provides the means to call the C-function of the Rulbus Device Library DLL from LabVIEW.

The Call Library Function node has an output connector for the function return value and it has input and output connectors for each parameter of the function.

Select Configure... from the context menu or double-click the Call Library Function node to configure it.

Given the dynamic-link library (rulbus.dll), the Call Library Function node configuration panel can present a list of available functions, but it needs the programmer's help for the rest of the information:

  • calling convention (C)
  • return type and parameter names and types, or function prototype (see rulbus.h)

Calling convention and function prototype are briefly described below.

Calling convention

The Rulbus Device Library uses the cdecl calling convention. It is shown as C in the configuration panel.

The calling convention is the arrangement of arguments for a procedure or function call. Different programming languages may require arguments to be pushed onto a stack or entered in registers in left-to-right or right-to-left order, and either the caller or the callee can be responsible for removing the arguments. The calling convention also determines if a variable number of arguments is allowed [foldoc].

C-function prototype

The type information of the function return value and of the function's parameters is called the function's prototype. Apart from this, the prototype may also specify the calling convention and some other information.

You can find information about the function prototypes in the file rulbus.h and in the Rulbus Device Library manual.

Please take a look at the protoype of the open function of the 12-bit DAC.

extern "C" EXPORT int32 RDL_API
rb8510_dac12_open( int32 *pHandle, char *name );

The parts before the function name mean the following:

extern "C"
the function is visible and can be used AND
the function is a C function, not a C++ function (the "C" prevents name mangling)

EXPORT
the user imports the function from the dynamic-link library (DLL);
rulbus.h defines EXPORT as __declspec(dllimport)

int32 the function returns a 32-bit integer value

RDL_API this name represents the calling convention;
rulbus.h defines it as cdecl (or __cdecl)

... int32 ...( int32 *pHandle, char *name );

The return type and parameters translate as follows:

int32 return type
Numeric, Signed 32-bit Integer, Value: long

int32 *pHandle
Numeric, Signed 32-bit Integer, Pointer to Value: long *

char *name
String, C String Pointer: CStr

You can see the function prototype emerge in the Call Library Function node configuration panel while you build it.

previous top next

Generated on Wed Oct 13 09:23:20 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Developing the VI Interface

Developing the VI Interface
[Developer Manual]

The VI's icon and connector form the interface to the VI. The connector provides access to (part of) the controls and indicators on the VI's front-panel.

This section is about the interface the VI presents to its user: Which parameters should the VI have and what should be their type, and what should the VI's connector and icon look like.

The Interface is also the place to provide the user documentation for the VI. It is the information you see in the LabVIEW Context Help and it provides the contents for the Reference part of this manual.

Icon

LabVIEW uses icons as an important means to distinguish between the various VIs. The icon must clearly show what Rulbus module the VI belongs to and which function it performs. We chose to present this information with text.

The icon must contain

  • the Rulbus module name, for example rb8510 dac12
  • an indication of the function, for example open

Furthermore the background color gives an indication of the VI's level of functionality: Application level VIs have a yellow background, whereas Rulbus module VIs that closely correspond to a Rulbus Device Library C-function have a blue background.

Connector

The icon has a connector to present the VI's parameters. The VI's parameters are the controls and indicators of the VI's front-panel that are connected to the connector.

The following connector patterns are preferred:

The input parameters are placed on the left, bottom and top, the output parameters at the right.

Error Handling

All VIs add error handling to the C-function call, so that the usual LabVIEW error-chaining method can be used.

If an error enters the VI, it is immediately transfered to the error output and the VI does nothing else. Otherwise the C-function is called and its return value determines the result of the error output.

error in is always located at the left-bottom, error out at the right-bottom.

Parameters

Very often the VI is a direct translation of the corresponding C-function of the Rubus Device Library and the VI has the same parameters as the C-function.

In some cases the VI's parameters may be different from the parameters of the C-function. Examples are:

  • the VI-parameter adds a physical unit
    for example RB8510 DAC12 Set Voltage presents the voltage parameter with unit V
  • an array and its size are C-function parameters
    in this case only the LabVIEW array is needed as a VI-parameter, because its size can be determined with Array Size within the VI

The VI often adds a duplicate of a parameter to make it easy to chain VIs that need this parameter. An example of this is dup handle for the handle that specifies the Rulbus device at hand. handle is always located at the left-top, dup handle at the right-top.

Note that handle is presented in bold font: This means that this parameter is required, it must be wired.

Parameters that do not need to be connected must have a valid default value. This default is expressed in the control's name between parenthesis, like: voltage (0V).

Physical units are described on pages 9-25 to 9-32 in the G Programming Reference Manual [National Instruments, 1998].

Documentation

To make the VI easily usable, it must be documented. This consists of

  • Rulbus module documentation
  • VI documentation
  • Parameter documentation

Rulbus module documentation

Rulbus module documentation is provided via a separate VI that contains on its diagram an overview of all VIs of this module. Its front-panel directs you to the diagram. The module contents VI itself is placed on the library overall contents VI diagram, Contents.vi. See Using the Rulbus LabVIEW Library for an example.

The contents VI's name follows the following pattern:

  • {module} Contents.vi, for example: RB8510 DAC12 Contents.vi

The VI-documentation (see below) for this VI describes the function and characteristics of the Rulbus module. It describes:

  • functionality (what it is, what it consists of)
  • inputs and outputs
  • characteristics that are fixed at production time (Rulbus address etc.)
  • characteristics that may be queried programmatically
  • characteristics that may be changed programmatically

VI documentation

The overal VI documentation is entered via context-menu item VI properties... | Documentation.

Describe the function of the VI briefly and mention any special characteristics the user should know of. Depending on the VI's complexity the description may or may not include:

  • overview of the VI/function panel
  • instructions for use
  • descriptions of inputs and outputs

Example:
This VI sets the output voltage for the 12-bit DAC specified by handle.

Parameter documentation

The Parameter documentation is entered via description and tip... from the control's or indicator's context menu.

Describe the function of the parameter briefly and mention any special characteristics the user should know of. Depending on the parameter's complexity the description may or may not include:

  • functionality
  • data type
  • valid range (inputs)
  • default value (inputs)
  • behaviour for special values (0, empty array, empty string, etc.)
  • additional information, such as if the user must set this value always, often or rarely

Example:

Description
dup handle
Tip
a duplicate of the handle to this DAC

previous top next

Generated on Wed Oct 13 09:23:21 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Developing the VI Implementation

Developing the VI Implementation
[Developer Manual]

The VI's wiring diagram is the implementation of the VI's function. This section describes what the diagram should contain.

Error Handling

The VI adds error handling to the C-function call, so that the usual LabVIEW error-chaining method can be used.

If an error enters the VI, it is immediately transfered to the error output and the VI does nothing else.

Otherwise the C-function is called using the Call Library Function node. The function return value determines the result of the error output through the Rulbus Error VI.

If the C-function returned without error, the Rulbus Error VI copies error in (no error) to error out.

If the C-function did return an error, the Rulbus Error VI obtains the corresponding error message from the Rulbus Device Library via function RulbusDevice_getLastError() and builds an error out with:

  • status set to True
  • code set to 5000 (first user error code)
  • source set to the error message provided by the Rulbus Device Library

Example

Please take a look at the creation of three VIs for the 12-bit DAC module RB8510.

Open -- RB8510 DAC12 Open.vi

The Open VI receives the Rulbus module's name as specified in the Rulbus configuration file and it returns a handle to represent the module.

Use -- RB8510 DAC12 Set Voltage.vi

This VI sets the DAC output voltage to the value specified by voltage. Note that the voltage input has a unit to emphasize its character.

The VI provides a duplicate handle, so that the VI can be part of a chain for this DAC module.

Close -- RB8510 DAC12 Close.vi

The Close VI simply calls the corresponding C-function RB8510_DAC12_close().

The error output is all what remains.

previous top next

Generated on Wed Oct 13 09:23:21 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Example Index

Rulbus LabVIEW Library for Microsoft Windows Examples

Here is a list of all examples:
  • rulbus.conf
Generated on Wed Oct 13 09:23:21 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Example Documentation

rulbus.conf

This example shows what a Rulbus configuration file may look like.
/*
 * rulbus.conf - Rulbus rack and cards configuration file.
 *
 * This file is part of the Rulbus Device Class Library (RDCL).
 *
 * Copyright (C) 2003-2004, Leiden University.
 * This library is free software, see below.
 *
 * $Revision: $
 * $Date: $
 * $Source: $
 * %Author: Martin J. Moene %
 *
 * Compiler        : Borland-C++ 5.5.1
 * Operating system: 32-bit Windows
 * Hardware system : PC
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with mngdriver; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * //
 * // small example rulbus.conf:
 * //
 *
 * rack "toprack"
 * {
 *    address = 7                               // this rack has address 7
 *    rb8509_adc12 "adc"                        // uses defaults
 *    rb8509_dac12 "dac-ch0"                    // uses defaults
 *    rb8509_dac12 "dac-ch1" { address = 0xD2 } // address specified
 * }
 *
 * rack "bottomrack"
 * {
 *    address = 8                               // this rack has address 8
 *    rb8515_clock "clock"   { }                // uses defaults
 *    rb8514_delay "delay0"  { }                // uses defaults
 *    rb8514_delay "delay1"  { address = 0xA4 } // address specified
 * }
 */

/*
 * keywords (case sensitive):
 *
 * - rack
 * - rb_generic
 * - rb8506_pia
 * - rb8506_sifu
 * - rb8506_via
 * - rb8509_adc12
 * - rb8510_dac12
 * - rb8513_timebase
 * - rb8514_delay
 * - rb8515_clock
 * - rb8905_adc12
 * - rb9005_amplifier
 * - rb9603_monochromator
 *
 * - address          (all cards)
 * - bipolar          (rb8509_adc12, rb8510_dac12)
 * - has_ext_trigger  (rb8509_adc12)
 * - intr_delay       (rb8514_delay)
 * - num_channels     (rb8509_adc12)
 * - volt_per_bit     (rb8509_adc12, rb8510_dac12)
 *
 * - false, no
 * - true, yes
 *
 * - [fpnumkMGT] characters used as suffix on a number (unit) have the
 *   following meaning
 *
 *   sfx | meaning
 *   ----+-------------
 *    f  | femto  1e-15
 *    p  | femto  1e-12
 *    n  | pico   1e-9
 *    u  | micro  1e-6
 *    m  | milli  1e-3
 *    k  | kilo   1e+3
 *    M  | mega   1e+6
 *    G  | giga   1e+9
 *    T  | tera   1e+12
 */

/*
 * Rulbus rack address
 *
 * The address of a Rulbus rack can be set via a 4-bit DIP-switch on its
 * rear-side.
 *
 *
 *    Secondary Address                    Secondary Address
 *            1  0                                 1  0
 *   weight +------+  bit                 weight +------+  bit
 *        1 | .  o | DS 0                      1 | o  . | DS 0
 *        2 | .  o | DS 1                      2 | o  . | DS 1
 *        4 | .  o | DS 2                      4 | o  . | DS 2
 *        8 | .  o | DS 3                      8 | o  . | DS 3
 *          +------+                             +------+
 *
 *  0: 0*8 + 0*4 + 0*2 + 0*1            15: 1*8 + 1*4 + 1*2 + 1*1
 *
 *
 * So there are 16 addresses to select from [0..0xF].
 *
 * Address 15 (0xF) is a special address: when a Rulbus rack has its
 * DIP-switch set to 15, it is always selected, no matter what the
 * computer tells the rack-selector.
 *
 * Please specify the DIP-switch setting for the address in a rack's
 * declaration.
 *
 * When you do not specify a rack address it will be 0xF.
 */

rack "top" =                    // this is a line comment, the '//' starts it
{
   address = 3                  // the required rack address [0..0xF]

   rb8506_pia "pport"           // the simplest card definition, using default properties

   rb8509_adc12 "adc12" =       // the most verbose card definition ( with '=' and ';' )
   {                            // the initializer
      address = 0xC0;           // the card address property

      has_ext_trigger = false   // or: no; no external trigger input on front
      num_channels    = 8;      // or: 4 on some modules
      bipolar         = true;   // or: yes
      volt_per_bit    = 5e-3;   // or: 5m, or 5 m
   };                           // end of initializer

   rb8510_dac12 "dac12-ch0"     // the simplest card definition with initializer
   {
   }

   rb8510_dac12 "dac12-ch1" =
   {
      address      = 0xD2
      bipolar      = true
      volt_per_bit = 5 m
   }

   rb8514_delay "delay0" =
   {
      /* address = 0xA0 */
   }

   rb8514_delay "delay1" =
   {
      address    = 0xA4
      intr_delay = 50 n         // 50 ns intrinsic delay
   }

   rb8515_clock "clock1";       // using defaults
}

/*
 * end of file
 */
Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Page Index

Rulbus LabVIEW Library for Microsoft Windows Related Pages

Here is a list of all related documentation pages:
  • Acknowledgements
  • References
Generated on Wed Oct 13 09:23:21 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: Acknowledgements

Acknowledgements

It was Henk Klein Wolterink's vision in 1985 to design the Rulbus architecture and bridge the worlds of different microprocessors that existed at the various electronic departments of Leiden University (then Rijksuniversiteit Leiden) and at the same time bring the departments closer to each other by means of the meetings held to achieve the goal. That Rulbus is still actively used is a clear indicator of the quality of his vision. So is the fact that the University now has a united electronic department. Many thanks. In 1999 Henk Klein Wolterink established Applied Instruments [APPLINSTR].

Jens Thoms Törring designed a Rulbus configuration file for the Rulbus support in his fsc2 [FSC2] spectrometer application. Thanks for his idea and support to create a common format for it after I copied and altered it for the RDL.

Thanks to Joris Slob who reported `strange behaviour' of various modules that turned out to be real bugs.

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4


Rulbus LabVIEW Library for Microsoft Windows: References

References

URL catalog

[APPLINSTR]
Henk Klein Wolterink's Applied Instruments.
http://www.applied-instruments.com/

[FSC2]
Jens Thoms Törring's software package for remote control of spectrometers.
http://www.physik.fu-berlin.de/~toerring/fsc2.phtml

[IEEE1284]
IEEE Standard Signaling Method for a Bidirectional Parallel Peripheral Interface for Personal Computers (1284-2000).
http://www.ieee.org/

[RULBUS]
Leiden University. Rulbus specifications and modules.
http://www.eld.LeidenUniv.nl/~moene/rulbus/

Book references

[National Instruments, 1998]
National Instruments. 1998. G Programming Reference Manual. Austin, Texas: National Instruments Corporation. Part Number 321296B-01.

Generated on Wed Oct 13 09:23:12 2004 for Rulbus LabVIEW Library for Microsoft Windows by doxygen 1.3.4